Getting Started

 Next

Getting Started

The Mobile Terminal is a part of the online trading plaform MetaTrader 4. It is installed on the trader's PDA or communicator and is intended for:

  • getting quotes and news in the real-time mode;

  • performing trade operations;

  • controlling and managing open positions and pending orders;

  • performing technical analyses.

To make decisions about trading, one needs prompt and reliable information. For this purpose, the terminal has embedded functions that deliver quotes and news in the real-time mode. One can analyze markets using these quotes, as well as using indicators and line studies.

Attention: Mobile Terminal does not support custom indicators or expert advisors.

To provide more flexible management of positions, the terminal has several types of embedded orders.

Mobile Terminal can work under Microsoft Pocket PC 2002 and more recent versions (including Microsoft Windows Mobile 2003 and Microsoft Windows Mobile 5.0). Requirements to hardware are limited by the requiremtns to operating systems and availability of a touch monitor (stylo).


Getting Started — Terminal Installation

Terminal Installation

To install the mobile terminal, one has to download one of two distributives:

  • to install directly from the PDA or communicator — file mt4mobilesetup.cab

  • to install via PC — file mt4mobilesetup.exe

Distributive mt4mobilesetup.cab will be installed fully automatically.

Terminal Installation Using a PDA

If you install your mobile terminal via PC, please follow the prompts of the installation wizard.

Terminal Installation Using a PC

Installation directory for the mobile terminal is selected automatically.

If it is necessary, the mobile terminal can be installed on the memory card of the mobile device. Then, in case the operating system fails, all settings will be stored. To install the mobile terminal onto the memory card, one has to press "No" in the dialog box "Installing Applications":

Terminal Installation: Directory Selection

then one has to select "My Flash Disk:" in the "Select Destination Media" window.

Terminal Installation: Selection of Location

The mobile terminal can also be installed over another version installed previously. In this case, all terminal settings will remain in the same status as they were stored in the previous version.


Getting Started — Terminal Start

Terminal Start

Mobile Terminal Shortcut

After installation, a shortcut will be created in the "Start — Programs" menu. It can be used to launch the mobile terminal.
Attention: It is forbidden to start up two copies of the mobile terminal from the same directory.


Getting Started — Registration

Registration

The MetaTrader 4 Mobile Terminal is distributed for one-week testing. After this free testing period, you can pay for registration and get a unlimited access to the terminal.

After you have paid the mobile terminal, a message containing registration code will be emailed to you. This code must be entered in the mobile terminal registration window that appears after the testing period is over.

Mobile Terminal Registration Enter registration key

In future, you can use this registration key (code) when re-installing the terminal or installing it in another mobile device.


Getting Started — Opening an Account

Opening an Account

Mobile Terminal allows to work with two types of accounts: demo accounts and real accounts. Demo accounts enable working under training conditions, without real money on them, but they allow to work out and test trading strategy very well. They possess all the same functionality as the real ones. The distinction consists in that demo accounts can be opened without any investments, though one cannot count on any profit from them.

Opening of a Demo Account

A demo account can be opened by the "Tools — Open an Account" menu command. Besides, the terminal will offer to open a demo account at the first program start to begin working immediately.

Demo Account Opening: registration data

The following data will be requested to open an account:

  • Name — the user's full name;

  • Country — country of residence;

  • State — area (region, territory, state, etc.) of residence;

  • City — city of residence;

  • Zip code — zip code;

  • Address — exact mailing address (street name, house and apartment numbers);

  • Phone — contact telephone number;

  • Email — email address;

  • Deposit — the amount of the initial deposit in terms of the basic currency;

  • Account Type — account type to be selected from the list defined by the brokerage company;

  • Currency — the basic currency of the deposit to be set automatically depending on the account type selected;

  • Leverage — the ratio between the borrowed and owned funds for trading.

To activate the "Next" button and continue registration, it is necessary to flag "I agree to subscribe to your newsletters". Then a server must be chosen to connect to. Addresses of available servers, their names and ping are listed there. The most preferable is the server having the lowest ping.

Demo Account Opening: trading servers

After the registration has successfully completed, a window will appear that contains information about the open account:

  • Login — the account number,

  • Password — the password for access,

  • Investor — the investor's password (connection mode in which it is possible to check the account status, analyze the price dynamics, etc., but no trading is allowed).

After registration has been completed, the new account will appear in the popup list of field "Login" menu "Tools — Login", and it is ready to work with. At that, the server sends a message to the mobile terminal containing login and passwords of this newly opened account. This message can be found in the menu "Tools — Mailbox". Besides, after the account has been successfully registered, it will be authorized automatically.

Demo Account Opening: registration

Attention: If any problems occur at the account opening, technical support service of the brokerage company should be asked for help.

Opening of a Real Account

Real accounts, unlike demo accounts, cannot be opened from the terminal. They can only be opened by brokerage companies under certain terms and conditions. To start working with them, one must perform authorization.


Getting Started — Authorization

Authorization

Authorization is connection established between the terminal and the server using login and password. It allows to manage the trade account. There are two accesses to the account implemented in the terminal: basic access and investor's access. One has full rights when working with the terminal through the main password. Being authorized under investor's password, one can view the account status, analize tick data and work with Expert Advisors, but may not trade. The investor's access is a very convenient tool to demonstrate trading on the given account.

To be authorized, one has to execute the "Tools — Login" menu command. Then, in the window appeared, one should specify the account number, one of the passwords (the main one or the investor's one) and select a server. Having specified all necessary data, one should press the "Login" button.

Attention: If option "Keep personal settings and data at startup" is enabled, the last-used account will be automatically authorized at the next server startup. Option "Keep personal settings and data at startup" in the terminal settings carries out the same action.


Getting Started — Security System

Security System

Data exchange between the Mobile Terminal and the server is performed by encryption based on 128-bit keys. This is sufficient to ensure security of trading. However, besides this system, terminal allows to use one more system: Advanced Security system based on digital signature algorithm of RSA. It is an asymmetric encryption algorithm that implies presence of a public and a private key. Public key can be freely distributed and used for checking the authenticity of a message signed with a private key. Knowing of the public key is guaranteed not to be possible basis for decoding of the private one within an acceptable period of time. Decoding of the private key on the basis of the public one will take tens or hundreds of years even with modern powerful computers.

Attention: The Advanced Security system based on electronic digital signatures can be enabled on the server.

In the Advanced Security mode, a special window will appear at the first connection to the server that is intended for generation of both public and private keys. To generate keys, it is necessary to move the mouse cursor in the black area of the window in order to generate a random data sequence. Then keys will be generated based on this sequence. The RSA key pair generated is stored on the hard disk, and the public key will be sent to the trading server. Later on, the server will check the authenticity of signed information using this public key.

Random Data Sequence Generation

Attention:

  • If the Advanced Security system is enabled for a trading account, for working at another computer, it is necessary to transfer the generated RSA keys into this other computer. The keys represent files with KEY extension and are stored in the /CONFIG folder;

  • if either key has been lost or damaged, it is necessary to refer to the brokerage company technical support service.


Getting Started — Live Updates

Live Update

There is an embedded LiveUpdate system in the terminal. It allows prompt receiving and installation of new versions of the program. The system is always on, it is impossible to disable it.

Mobile Terminal Live Updating Mobile Terminal Live Updating

During connection to the server, the terminal check whether any new versions of the program are available. If a more recent version has been discovered, the new window, "Live Update", will appear and the user will be proposed to download the updates. To start downloading the updates, one has to press "Start". It will be possible to watch the updating process in the window, as well as the list of files being downloaded. After the updates have been downloaded, the new version of the terminal will be automatically installed and restarted.

Attention:
  • If there is no server connection, live updating will not start.
  • GPRS connection is often instable, and live updating of large files can result in an error. In this case, it is recommended to download the distributive of the mobile terminal manually from the website and install it over the existing mobile terminal. All settings will be stored.
  • If any problems with live updating occur, it is necessary to contact the Technical Support Service.


Mobile Terminal Settings

Mobile Terminal Settings

General setup of the mobile terminal is performed in a separate window that can be called by the "Tools — Options" menu command. The settings are grouped by their destination and are located in two tabs:

  • Server — setup of the server connection parameters, configuration of proxy server and Data Centers, as well as other important settings;

  • Events — setup of signals alerting about system events. Signals about no connection, incoming news, and others, make working much more easier.


Mobile Terminal Settings — Server

Server Tab

The most important settings are collected in this tab. Changes in these settings can cause serious troubles in the server operation up to disconnection. Mobile terminal was initially configured in the way that to provide high availability. This is why it is highly unadvisable to change any parameters in this window unless necessary.

Mobile Terminal Settings: Server Tab

In the "Options — Server" window, one can:

  • select a server to connect to;

  • set up and modify passwords;

  • set up working through Data Centers;

  • configure the proxy server;

  • specify the maximum amount of bars in the chart;

  • enable/disable keeping personal settings and data;

  • enable/disable news.

Server

In fact, the whole work of the mobile terminal is based on data (news and quotes) that continuously income from the server. If mobile terminal does not receive quotes, it cannot be used for trading. Such a situation can occur for a number of reasons, one of which is wrong setup of connection with the server.

To connect the mobile terminal to the server, it is necessary to know the exact server IP address (or domain name) and the port. All these data have already been given at installation of the software, they normally should not be changed. However, should another server be connected to, its address and port must be given in the "Server" field. The record must be of the following format: "[server internet address] : [port number]" (no spaces). For example, "192.168.0.1:443" where "192.168.0.1" is the server address, "443" is the port number. After that, one should press "OK".

The newly installed server address and port number are stored in the hard disk. The address of a new server will be added to the servers list. If the connection to the server succeeds, IP address of the server will be automatically replaced with its name in the "Server" field. It can then be chosen at the account registration or authorization. If connection fails, it is recommended to check all settings and try again.

Attention: Wrong setup of the server connection is not the only reason for that a new account cannot be opened.

Account

Mobile terminal can only connect to the server and work using an account. There is a login (account number) and two passwords (main and investor's) in mobile terminal. To be authorized, one needs the account number and one of these two passwords. The main password gives full access to the account, while the investor's password give only limited access. If one has been authorized using the investor's password, he or she can view charts and make technical analysis, but is not allowed to trade. Investor's password is a convenient tool used to demonstrate trading on the given account.

After the account has been opened, if option "Keep personal settings and data at startup" is enabled, the account data (number, main and investor's password) are memorized. At the program restart, these data are used for automated authorization. If the above option is disabled, one will have to enter password manually at every start of the mobile terminal.

The current account number and password should be entered in the fields of "Login" and "Password", respectively. Data of another account can be entered in these fields. After pressing "OK", the terminal will try to authorize this other account. If authorization fails, one has to recheck the entered data and retry authorization. If this does not help, you should contact the technical support service.

New passwords can be specified in the window that appears after pressing "Change password". To do it, one has to know the current password. It can be found in the message received from the server after opening the demo account. The new password is written in the corresponding field. If option "Replace investor's password" is enabled, the investor's but not main password will be changed.

Data Centers

Data Centers (access points) are embedded in the trading platform and represent specialized proxy servers. They allow to save traffic: the same quotes and news are sent to several terminals simultaneously. Access points are located between the server and a terminal. One server can have several access points, through which all traders will connect to it. After installation of the terminal, connection to Data Canters will be set up automatically. It is not recommended to change anything. Wrong connection setup to Data Centers can cause disconnection between the terminal and the server.

If changing of Data Centers settings is necessary, it is recommended to contact technical support service first. All information needed to set up Data Centers correctly can be obtained there. In most cases, it is sufficient just to flag "Data Center auto configuration". Then the mobile terminal will choose the most preferable access points automatically.

In case of manual setup of access points, this option must be disabled. Then, in the activated "Data Center" field, enter IP address (domain name) and the port number. The record must appear as follows: "[Data Center internet address] : [port number]". After the data have been entered, it is recommended to check settings by pressing "Test". If the settings are operable, the corresponding message will appear. After that, one can start using the terminal. If an error message appears, it is recommended to contact technical support service to solve the problem.

Attention:
  • It is not recommended to set up access to Data Centers manually unless really necessary.
  • If access to Data Centers is being set up manually, it is highly recommended to read Help files for the software first.

Proxy Server

Internet connection using a proxy server can be one more reason for no connection to the server. Proxy server represents a bridge between the trader's PC (or mobile device) and the trade server. Most frequently, it is installed at internet provider's side or in the local network. So, in case of problems with connection, one should contact his or her systems administrator or internet provider. If a proxy server is used, it is necessary to set up mobile terminal in the corresponding way. The flagged "Enable proxy server" allows proxy server to work and activates the "Proxy..." button. Pressing of this button opens a window where proxy server settings are specified (one can find the data at his or her systems administrator or internet provider):

  • Server — proxy server address;

  • Type — proxy server type (HTTP, SOCKS5, SOCKS4);

  • Login — login to access to the proxy server. If no login is required, this field must remain empty;

  • Password — password to access to the proxy server. If no password is required, this field must remain empty.

Mobile Terminal Setup: Proxy Server Parameters

Upon completion, it is recommended to press "Test" in order to test operability of the settings. After the message about successful test results has income, "OK" must be pressed to activate the settings. The error message means that some or all settings of the proxy server are wrong. To find out about the causes for this, it is necessary to contact systems administrator or provider again.

Amount of Bars in the Chart

The display8ing of bars is limited by the mobile device parameters. Bars to be displayed in the chart are used to calculate values of technical indicators. If many indicators are attached simultaneously and there are many data to be displayed, it can happen that free resources of the mobile device (processor load and free memory) can just be exhausted. To avoid such situations, one can set the amount of data to be displayed in the charts. This can be done by choosing a suitable value in the popup list or by manual entering it in the field of "Max bars in chart". Any amount of bars can be written.

Attention: When a chart is opened, the amount of bars loaded will not exceed the value given in the "Max bars in chart". But, during quotes pumping, the amount of bars in the chart can exceed this value.

News

The terminal allows to get financial news promptly. They start to income only after the connection to the server has been established. No news issued during the terminal was disconnected from the server will appear in the terminal after connection has been established. To enable news delivery, it is necessary to flag the "Enable news" option. As soon as they appear, the news will be delivered to the "News" window tab.


Mobile Terminal Settings — Events

Events Tab

System even sounds (not to be confused with alerts) can be set up in the terminal. It is a very helpful tool that informs about changes in the terminal status.

Before setting up the sounds, it is necessary to flag the "Enable" option. The table containing the system events list and the list of corresponding actions will be activated. System events are the following:

  • Connect — connection to the server. Notification about successful connection to the server;

  • Disconnect — no connection to the server. Notification about the disconnection from the server;

  • Email Notify — notification about receiving a message via email. If this notification has triggered, it is recommended to open the "Tools — Mailbox" menu;

  • Timeout — a certain time period is provided to perform a trade operation. If this time has passed for some reason, the operation will not be performed and this signal will trigger;

  • OK — trade operation has been performed ok. No errors have occurred during performing of this operation;

  • News — receiving of news. If this notification has triggered, it is recommended to check the window/tab "News";

  • Alert — the alert function execution;

  • Requote — price changed while the trade operation was being processed;

  • Trailing Stop — triggering of the order of the same name.

A sound signal can be disabled/enabled by double-clicking with the pen on its name or by flagging/unflagging in the field to the left of the name. When a signal triggers, a wave file corresponding to the event will run. Wave files are located in the "sounds" folder of the mobile terminal. Wave file names are determined by the program, they cannot be changed.


User Interface

User Interface

The mobile terminal includes the following elements:

  • Common Window Heading
    In the heading, there are given the current account number and the application name.

  • Tools
    The "Tools" menu contains service commands and settings of the terminal. The menu includes the following items: "About", "Login", "Change Password", "Open Account", "Alerts", "Mailbox", "Languages", "Options" "Exit".
    More details can be found in the "Tools" section.

  • Toolbar

    The toolbar includes the following commands:
    New Order | "New Order"
    Close Order | "Close Order"
    Charts | "Charts"
    Symbols | "Symbols"
    Periods | "Periods"
    Server Connection Detector | "Server connection status".

    More details can be found in the "Toolbar" section.

  • Windows/Tabs

    The windows/tabs contain the following information:

    • Quotes — the list of symbols. Using the commands of this window, one can manage trade positions and charts.

    • Chart — the basis of data analyses. Along with showing the price movements, the chart can contain various analytical objects: line studies and technical indicators.

    • Orders — information about the current state of the trade account, open positions and pending orders placed.

    • History —information about the trade operations made.

    • News — the list of news delivered.


User Interface — Tools

Tools

The "Tools" menu is located in the bottom-left corner of the mobile terminal, near the toolbar, and represents a set of commands that manage the mobile terminal.

The "Tools" menu contains the following commands:

  • About — open the "About" window where one can find information about the company, its contact details, as well as about the current terminal version.

    Attention: It is recommended to update the terminal in time and use only the latest build of it.

  • Login — authorization. At executing of this command, the attempt to connect to the server using the selected account will be made. In case of successful authorization, quotes and news will start to income in the terminal, trading will be allowed.

  • Change password — in the window that appears, new passwords can be entered. More details can be found in the section "Mobile Terminal Settings — Server".

  • Open an Account — a new demo account will be opened. Such accounts can be opened without putting any money on the deposit and allow one to learn well one's trading system. More details can be found in the section "Getting Started — Opening an Account".

  • Alerts — various sound alerts can be viewed and set up here.

  • Mailbox — by this command, a window appears that contains all messages that have income via internal emailing system. Emails can be sent from here, too. More details can be found in the section "Tools — Mailbox".

  • Languages — mobile terminal languages management. Having selected a language in the list, one can switch the terminal interface to this language. For changes to be active, it is necessary to exit terminal using the "Exit" command and restart the program.

  • Options — mobile terminal options. In this window, one can set up parameters of connection, trading, charts, expert advisors, etc. More details can be found in the section "Mobile Terminal Setup".

  • Exit — close the terminal.

    Attention:

    • By pressing Close, the mobile terminal will not be really closed, it will stay launched.

    • If the terminal is offline, trailing stops will not be executed.


Tools — Alerts

Alerts

This tab contains information about alerts created. The alerts are intended for notifying about the market events. Having created alerts, one can stop continuous watching the charts — mobile terminal will automatically inform that an event has taken place on the market.

All alerts in this tab are displayed as a table with the following fields:

  • Symbol — the security, data of which are used to check the condition. If the "Time=" (the alert triggers if this time comes) parameter was selected as a condition, the symbol does not matter;

  • Condition — condition, under which the alert must trigger. This condition can be:

    1. Bid> — the Bid price is above the preset value. If the current Bid price exceeds this value, the alert will trigger;

    2. Bid< — the Bid price is under the preset value. If the current Bid price goes lower than this value, the alert will trigger;

    3. Ask> — the Ask price is above the preset value. If the current Ask price exceeds this value, the alert will trigger;

    4. Ask< — the Ask price is under the preset value. If the current Ask price goes lower than this value, the alert will trigger;

    5. Time= — time quals to the preset value. When this time comes, the alert will trigger.

  • Limit — the amount of the alert iterations/the maximum permissible amount of alert iterations; time between iterations. Having triggered the preset amount of time, the alert will stop triggering.

Alerts Management

The following context menu commands are intended to manage alerts:

  • Create — create a new signal alerting about the event. The same can be done by pressing Insert;

  • Modify — modify the alert. The same can be done by double-clicking the alert name in the table or by pressing Enter;

  • Delete — delete the alert. The same can be done by pressing Delete;

  • Enable/Disable — enable/disable the alert. The alert will not be deleted if disabled, it just stops working. It can be enabled again in future. The same can be done by flagging in the alert setting window (as described below).

One can start modifying of the alert by double-clicking with the pen on the alert information line. In this case, as well as when the context menu commands "Modify" and "Create" are executed, the alert editing window will appear:

  • Enable — alert on/off. The alert will not be deleted when disabled, it will just stop working. This option is the same as the context menu command "Enable/Disable";

  • Symbol — the security, values of which will be used to check the condition;

  • Condition — condition and value ("Time=", "Bid<", "Bid>", "Ask<", "Ask>") of the alert triggering condition. If the symbol price satisfies this value, the alert will trigger;

  • Sound — alert, a wave file (WAV);

  • Timeout — the time period between alert iterations;

  • Max iterations — maximal amount of alert iterations.

The operability of the selected alert can be checked by pressing "Test". For changes to be active, it is necessary to press "OK".


Tools — Mailbox

Mailbox

The "Mailbox" section is intended for working with internal emails. All messages that come to and go from the mobile terminal are in this section of the "Tools" menu.

Messages are displayed as a table with the following fields:

  • Time — the time of the message delivery;

  • Subject — the message subject.

The contents of the selected message can be viewed by double-clicking with the pen on the necessary heading or by the "Show" context menu command, the "Delete" command should be used to delete a message. Besides, if the brokerage company allows this, one can send messages to the systems administrator or to the technical support service from this tab. For this, one has to execute the "Create" context menu command, then select the receiver in the window that appears, fill out the subject field, type a message, and press "Send".

Attention: All messages are sent via internal emailing system and do not need any additional settings to be made. If any problems occur when working with the mailbox, it is necessary to contact the Technical Support Service.


User Interface — Toolbar

Toolbar

The toolbar in Mobile Terminal includes the following commands:

  • New Order New Order. This command opens the window that manages orders. A new position can be opened or a pending order can be placed in this window. The following must be specified here: symbol, amount of lots, order type (a market or a pending), as well as levels of Stop Loss and Take Profit orders. More details about how to place orders can be found in the "Trade Positions Management" section;

  • Close Order Close Order — close a trade position. This command becomes active only if there are open positions. This command opens the window to manage orders, too. This time, except for "Sell" and "Buy", the button of "Close #XXXXXXX ..." will appear where XXXXXXX is the position ticket number. Moreover, having executed this command, it is possible to close the selected position together with a counter position. More details about how to close positions are given in the section of "Trade Positions Management — closing Positions";

  • Charts Charts. The "Charts" command includes commands that control the chart and technical indicators attached to it. These commands are described in more details in the "Toolbar — Charts" section;

  • Symbols Symbols — command that controls the chart symbol. After a symbol has been selected using this command, the corresponding changes are made in the window/tab "Chart" and the "Chart" tab becomes active automatically. One can also switch between symbols using the window/tab "Symbols";

  • Periods Periods is a command that controls the chart timeframe (period). After a timeframe has been selected using this command, the corresponding changes are made in the window/tab "Chart" and the "Chart" tab becomes active automatically;

  • Server Connection Indicator The Server Connection Indicator shows the connection status.


Toolbar — Charts

Charts

The "Charts" command includes commands of chart management and management of technical indicators attached to the chart. The following commands are available in it:

Chart Menu

  • Indicators — indicators management window will appear. The window contains the full list of embedded indicators in the mobile terminal. From this window, one can attach an indicator to a chart, change settings of indicators already attached, or delete the indicator from the chart. More details are given in the "Technical Indicators" section;

  • Objects — call the objects managing submenu. The following commands are available in the submenu:

    • List — call the window that manages attached objects. In this window, one can modify ("Modify") or delete ("Delete") the selected object;

    • Fibonacci Levels, Trendline, Horizontal Line, Vertical Line are all embedded objects in the mobile terminal;

    • Cursor — allows to select all objects attached to the chart. After the object has been selected, it is possible to change its location in the chart.

  • Update — update historical data. This will cause loading of all insufficient data within the available history range;

  • Zoom Out — zoom out the chart scaling. The same can be done by turning the mobile device joystick up;

  • Zoom In — zoom in the chart scaling. The same can be done by turning the mobile device joystick down;

  • Line Chart — display the chart as a broken line that connects the bar close prices;

  • Candlesticks — display the chart as a sequence of "candlesticks";

  • Bar Chart — display the chart as a sequence of bars;

  • Properties — chart parameters setup. At execution of this command, a submenu with the following commands will open:

    • Grid — show/hide the grid in the chart window.

    • Auto Scroll — enable/disable automated left shifting of the chart after the new bar has started to be formed. If this option is enabled, the latest bar is always shown in the chart.

    • Chart Shift — move the chart from the right border of the window by 20% of the screen size.

    • Chart on foreground — place the chart on the top of the screen. If this function is enabled, all analytical objects will always be "under" the chart.

    • OHLC — show/hide the OHLC line. If this is done, an additional information line will appear in the upper-left part of the window. In it, besides symbol name ans the chart timeframe, the prices of the latest bar are listed. They are recorded in the following format: OPEN, HIGH, LOW, CLOSE (OHLC) - the bar open price, the bar highest price, the bar lowest price, and the bar close price, respectively. Thus, one can always view the precise value of the latest bar. This option also influences information lines of indicators subwindows.

    • Ask Line — show/hide the Ask price level of the latest quote. Bars are built and displayed in the terminal only on Bid prices. However, Ask price is used for opening of long positions and for closing of short positions. It is not shown in the chart, so it cannot be seen. For better control of trading, one can enable the "Ask line" parameter. After this command has been executed, an additional red line will appear in the chart to the Ask price of the latest bar.

    • Period separators — show/hide period separators. Data and time of each bar are shown on the horizontal axis of the chart. The tick spacing of this horizontal scale will be the selected period (timeframe). The "Show period separators" option draws in the chart additional vertical lines that correspond with the borders of a larger timeframe. Thus, for charts with timeframes from M1 to H1 daily separators are built, for H4 - weekly, for D1 - monthly, for W1 and MN1 - yearly.

    • Trade levels — show/hide trade levels. Lines of open and pending orders located directly in the chart allow one to see where the position was opened and when the pending order, Stop Loss or Take Profit will trigger. This option makes trading more comfortable and allows one to avoid some errors caused by human factor. To enable it, it is necessary to flag the "Show trade levels" option and press "OK". Lines that correspond with prices of opened positions and placed orders will appear in the chart. Of course, no levels will be displayed in the chart if no orders are placed and no positions are opened. It also should be noted that this option works for only open positions and orders. No closed position comes within this option.

    • Volumes — show/hide volume chart in the lower part of the window.

  • Colors — predefined colors for the chart. There are three color structures available in the terminal: "Yellow on Black", "Green on Black", or "Black on White".


User Interface — Windows/Tabs

Windows/Tabs

Windows/tabs contain the following data:

  • Symbols — the list of symbols. Using commands of this window, one can manage trade positions and charts.

  • Chart — the basis for data analyses. Along with price dynamics, various analytical objects can be located in the chart: line studies and technical indicators.

  • Trade — information about the current account status, open positions and pending orders placed.

  • History — information about trade operations already made on this account.

  • News — list of the income news.


Windows/Tabs — Quotes

Quotes

The "Quotes" window contains the list of securities (symbols), for which the mobile terminal gets quotes from the server. The data in this window are represented as a table with some fields. The "Symbol" field gives the symbol name, the fields named "Bid", "Ask" and "Time" give the corresponding prices and time of their receiving from the server. Values of the fields named "Maximum" and "Minimum" are calculated on the price movements within the day.

Using this window, one can place market and pending orders, as well as change the chart symbol. The following commands are available from the context menu:

  • New Order — open the "New Order" window where one can prepare and place a market or a pending order for the selected symbol. One can also show levels of Stop Loss and Take Profit here. More details can be found in the "Opening a Position" section.

  • Chart Window — open chart of the selected symbol. When this command is selected, the "Chart" window/tab will become active automatically. More details about how to work with the chart window are given in the section of the same name.

  • Hide — delete a symbol from the list. It is recommended to hide all unused symbols from the Quotes window using this command in order to minimize the traffic.

    Attention: If there are open positions or pending orders for a symbol, as well as if its chart is open, the symbol cannot be hidden.

  • Hide All — delete all symbols in the list. This command will not influence symbols, for which there are open positions or the charts of which were opened in the current session.

  • Show All — show the list of all symbols available in the terminal. After this command has been executed, quotes for all these symbols will start to be delivered in the terminal.

  • Symbols — call the window of the same name where there is a list of all symbols available. The symbols are grouped in the window according to their types.

    The "Show All" command can show the list of all available symbols, the "Hide All" — delete all symbols from the window of quotes. To hide/show a specific symbol, just enable/disable the corresponding checkbox of symbol in the list.

  • Auto Arrange — automated justification of columns in the window.

  • High/Low — add the highest and the lowest daily price value to the quotes to be shown.

  • Time — show the quotes incoming time.

  • Grid — show/hide the grid that separates columns.


Windows/Tabs — Chart

Chart

Charts display how prices of the given symbol move with the time. Charts are necessary when technical analyses are conducted. In the mobile terminal, only one chart can be opened at a time.

The chart symbol can be changed using the Symbols command of the "Symbols" toolbar or from the context menu of the window/tab "Symbols", or from the context menu of the window/tab "Orders".

Charts are built on basis of historical data that are stored in the "history" folder of the mobile terminal. When the chart is being opened, the data are loaded from the memory, the latest insufficient data are pumped from the trade server. If historical data for a given symbol are not available in the memory, the latest 512 history bars will be loaded. To load the earlier data, it is necessary to move the chart to the desired area. After the chart has been opened, information about the current quotes will be delivered to the terminal. Thus, the further price movements will be shown in the real-time mode. This information is automatically stored in the history file and used when the chart is opened again in future.

Attention: In the mobile terminal settings, the parameter "Max bars in chart" is specified. This parameter allows control over the historical data to be displayed.

Appearance and properties of the chart in the mobile terminal can be set up using the "Charts — Properties" toolbar command. to change colors in the chart, select the "Charts — Colors" toolbar command.

Chart Management

Charts allow to analyze market price dynamics and are used for graphical analyses, for building of various indicators and line studies. Charts are an exceptionally valuable tool for analyzing financial markets, this is why a great attention is paid to charts. Chart management means:

  • Type Change
    A symbol chart can be of three types:

    1. Bar Chart — a sequence of bars. To get such a chart, one has to execute the "Charts — Bar Chart" toolbar command.

    2. Candlesticks — a sequence of candlesticks. To get such a chart, one has to execute the "Charts — Candlesticks" toolbar command.

    3. Line Chart — a broken line that connects close prices of bars. To get such a chart, one has to execute the "Charts — Line Chart" toolbar command.

  • Working with Indicators
    Indicator is a mathematical transformation of price and/or volumes of a symbol in order to forecast future price changes. On the basis of signals from technical indicators, the decisions are made about how and when to open or close a position. Indicators can be attached to the chart from the window that is opened using the "Charts — Indicators" toolbar command. In the same window, one can view the list of indicators attached to the chart.
    More details about how to work with technical indicators can be found in the section of the same name.

  • Working with Objects
    To analyze the prices, one can also place graphical objects onto the chart. For this, one has to use the "Charts — Objects" toolbar command. Horizontal, vertical lines, trendlines, and Fibonacci levels are available in the popup menu.
    More details can be found in the "Graphical Objects" section.

  • Timeframe Change
    Mobile terminal supports nine different timeframes, from one minute to one month. This large amount of timeframes is necessary for analyzing markets using technical indicators and line studies.
    The desired timeframe can be selected using the "Periods" toolbar command.

  • Scaling
    Charts can be scaled horizontally, which helps to increase or decrease the amount of bars shown in the display simultaneously. To scale the chart, one can use the toolbar menu commands of "Charts — Zoom In;, "Charts — Zoom Out", or the joystick button of the mobile device.

  • Scrolling, Auto Scrolling, and Shifting of the Chart
    Scrolling is shifting of price data in the chart to the right or left. This is made using the horizontal scroll bar located just under the chart. If the chart is shifted into an area where there are no data available, the data will be pumped automatically.

    Auto scrolling is intended for keeping the latest data in front of the user's eyes. If this option is enabled, the chart will be automatically moved to the end as soon as a new quote incomes. This function can be enabled by selecting the "Charts — Properties — Auto Scroll" toolbar command.

    The "Chart Shift" option moves the latest bar by 20% to the left from the right border of the screen. The chart shift is enabled by selecting of the "Charts — Properties — Chart Shift" toolbar command.

  • Data Updating
    The data updating is had recourse to if errors or "holes" occur in the price chart. To update the data, it is necessary to execute the "Charts — Update" toolbar command. After this the insufficient bars will be automatically downloaded from the server and drawn in the chart.

Pressing and keeping of the pen in the chart will open the prompt message containing information about OHLC price values and about indicators on the selected bar.


Windows/Tabs — Trade

Trade

The "Trade" window/tab contains information about the current status of the trade account, open positions, and pending orders placed. All open positions are sorted by creation date: from the earliest to the latest from top to bottom. They are followed by the account balance line and the open positions financial result line, which are followed by the list of pending orders. When a pending order triggers, a new position will be opened and the pedning order line will be deleted. It will be replaced with the open position line.

All trade operations are displayed as a table with the following fields (from left to right):

  • Operation — type of the trade operation, the amount of participating lots, name of the symbol participating in the operation. There are the following types of trade operations: "Buy" — long position, "Sell" — short position, and pending orders Sell Stop, Sell Limit, Buy Stop and Buy Limit.
    The minimum permissible amount of lots per order is limited by the brokerage company, the maximum — by the deposit available;

  • Price — the current price of the symbol (not to be confused with position open price described below);

  • Profit — in this field the financial result of a trade is written considering the current price. Positive result means that the trade is profitable, the negative one — losing. For pending orders, the placing price of a pending order is shown in the same field.

This tab allows both view open positions and placed orders and manage the trading. One can do the following here: open a new position, place a pending order, modify or delete it, close a position. To do all this, one has to use context menu commands. The following commands are available from the context menu of the "Trade" window/tab:

Context Menu of the "Trade" Window

  • New Order — open a new order. The window of orders management appears by this command. One can open a new position or place a pending order in it. The following will be set up there: symbol, amount of lots, order type (market order or pending order), as well as StopLoss and Take Profit levels of orders. More details about how to place orders are given in the section named "Trade Positions Management";

  • Close Order — close a trade position. This command becomes active only if the context menu has been opened on an open position. The window of orders management appears by this command, too. This time, along with buttons "Sell" and "Buy", the "Close #XXXXXXX ..." will appear where XXXXXXX is the order ticket number. Besides, one can close the selected position by a counter position using this command. More details about how to close positions are given in the corresponding section;

  • Modify Order — change values of "Stop Loss" and/or "Take Profit" of open positions or price of a pending order. If Take Profit/Stop Loss level is too close to the current market price, the error message will appear and the levels will not be placed. Then it is necessary to move the levels from the current price and try again. More details about how to modify orders are given in the corresponding section;

  • View Order. Information about the selected order will be shown in the window that appears by this command. The information includes:

    • Open time — position open time. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute). This is the time when the position was opened;

    • Open price — open position price. This is the price, at which the position was opened;

    • Current time — the current mobile terminal time; it is the time set up on the server, from which the terminal receives quotes;

    • Current price — symbol price at the current time;

    • T/P — the level of the placed Take Profit order. If the Take Profit value has not been set, this field will not be available in the order window.
      More details about how to work with orders can be found in the corresponding section;

    • S/L — the level of the placed Stop Loss order. If the Stop Loss value has not been set, this field will not be available in the order window.
      More details about how to work with orders can be found in the corresponding section;

    • Profit — the financial result for the selected order considering the current price.

  • Trailing stop — place, modify or delete the "Trailing stop" level. One can activate trailing stop with the specified parameter by selecting the desired level in the menu. The "None" i used to disable the order. "Delete All" — will disable all trailing stops. More details about trailing stops are given in the "Trailing Stop" section;

  • Profit — show profit/loss in points, in the order currency, or in the deposit currency. Changes of this parameter are shown in the "Profit" field. If the option "show profit in the order currency" (quote currency) is selected and there are open positions on, for example, USDJPY, the profit for them will be shown in yens;

  • Result — show/hide the financial result on all open positions besides the total balance. It includes:

    • Credit — show/hide information about the credit;

    • Equity — show/hide information about the current equity considering the unrealized profits on open positions;

    • Margin — show/hide information about the current margin requirements on open positions;

    • Free — show/hide information about the margin requirements available to open positions.

  • Justify — automated justification of columns;

  • Open Price — show/hide column containing order open prices;

  • Heading — show/hide table column headings;

  • Grid — show/hide grid that separates columns.


Windows/Tabs — History

History

The "History" tab contains information about trade operations already made.

The entire history is represented as a table with the following fields (from left to right):

  • Operation — trade operation type, amount of lots participating in this operation, and name of the symbol participating in the operation;

  • Price — position open price. This is the price, at which the position was opened;

  • Profit — financial result of the trade is written in this field. Positive result means that the trade was profitable, negative — that it was losing. Profit is shown in this field, unlike the same field of the window/tab "Orders", only in the deposit currency.

In the context menu of the window, commands managing the history range and the data display are grouped, as well as commands of historical data export:

Context Menu of the "Orders" Window

  • View — At this command, the information window for the selected closed position will appear. Information about position includes:

    • Open time — position open time. The record is represented as YYYY.MM.DD HH:MM (year.month.day hour:minute). It is this time, at which the position was opened;

    • Open price — position open price. It is this price, at which the position was opened;

    • Close time — position close time. It is this time, at which the position was closed;

    • Close price — position close price. It is this price, at which the position was closed;

    • T/P — the level of Take Profit order placed. If the Take Profit value was not set up, this field will not be present in the order window.
      More details about how to work with orders can be found in the corresponding section;

    • S/L — the level of Stop Lossorder placed. If the Stop Loss value was not set up, this field will not be present in the order window.
      More details about how to work with orders can be found in the corresponding section;

    • Profit — financial result of the selected closed position.

  • All History — show the entire history of trading of the account. At execution of this command, the entire history of the account, without any time limitations, will appear in the screen;

  • Lat Week — show only last-week history;

  • Today — show only today's history;

  • Custom Period... — show history of the selected period. At execution of this command, the window managing history ranges will appear, in which one can select the preset ranges (field "Period") or set them manually in the fields of "From" and "To";

  • Profit/Loss — show/hide information about balance operations on the account: "Credit", "Deposit", "Withdrawal";

  • Auto Arrange — columns are justified to the screen size automatically;

  • Open Price — show/hide the column that contains open prices of closed positions;

  • Current Price — show/hide the column that contains the current prices for symbols of the closed positions;

  • Heading — show/hide column headings;

  • Grid — show/hide the grid that separates columns.


Windows/Tabs — News

News

The "News" tab contains the list of delivered news. The news headings are displayed as a table according to the incoming time. The table includes the news delivery time, its subject and category. The list is automatically updated when a news incomes.

The following commands are available in the context menu:

  • View — view the selected news. One can also read news by double-clicking witht the pen on the heading;

  • Justify columns — the columns are automatically justified to the screen;

  • Time — show/hide the "Time" column;

  • Category — show/hide the "Category" column;

  • Heading — show/hide the column headings in the table;

  • Grid — show/hide the grid that separates columns.

Attention:
  • If the "Enable news" option is unchecked in the mobile terminal settings, no news will be delivered;
  • insufficient rights of the given account can be the reason why news do not income or cannot be read.


Analytics

Analytics

For analytical purposes, technical indicators and Line Studies are embedded in the terminal. These objects can be attached directly to the chart and help to forecast the future price dynamics. Indicators are attached automatically, line studies — manually. When using line studies, it is very important to build them properly. In the other hand, indicators can also be set up manually. Technical indicators can have different settings on different symbols and timeframes.

The use of technical indicators and line studies allows to open and close trade positions reasonably, place and modify pending orders. Besides, the use of analytical instruments allows systematized trading and reduces influence of emotional factor.

Attention: In mobile terminal, only embedded indicators can be used. Custom indicators cannot be attached.


Analytics — Line Studies

Line Studies

Line studies are lines located on the chart or on indicators. Mobile terminal provides the following line studies: vertical lines, horizontal lines, trendlines, and Fibonacci levels.

Object Properties: Common

Line studies are available in the mobile terminal from the toolbar comand "Charts — Objects". To create an object, one has to execute the corresponding command of the popup menu.

Menu Command | Description
Horizontal Line | Horizontal line is used to mark different levels, particularly support/resistance levels. One point must be set in order to locate the object in the chart.
Vertical Line | Vertical line is used to mark different borders on the time axis and to compare indicators' signals to the price changes. One point must be set in order to locate the object in the chart.
Trendline | Trendline helps to find out about the price moving direction. Two points must be set to locate a trendline.
Fibonacci Levels | Leonardo Fibonacci is considered to be the discoverer of the number sequence where each next following term represents a sum of two preceding ones: 1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89, 144, etc. Each member of the sequence is approximately 1.618 more than the preceding one, and each preceding number makes about 0.618 of the next one. The tool is built on two points that determine the trendline. Horizontal lines that intersect the trendline on Fibonacci levels 0.0%, 23.6%, 38.2%, 50%, 61.8%, 100%, 161.8%, 261.8%, and 423.6%, are drawn automatically.

After the object has been created, it can be modified or moved. For this, one has to select the object first using the "Charts — Objects — Cursor" control panel command. All objects in the chart will be selected. If square marks appear, it means that the object is selected. The marks are intended for moving and modifying the objects. Thus, for instance, to change location of the "Fibonacci Lines", it is necessary to capture its central mark with the left mouse button and drag it to another location. Moving of any of its outside marks will result in modification of the object building parameters.

Any objects drawn in the chart will sooner or later become unnecessary. The objects can be deleted from the chart using the objects list available through the "Charts — Objects — Objects List" control panel command.

Object Properties: Common

To delete all objects from the chart, just put the cursor on the chart symbol and press "Delete".

Attention: If the chart symbol is being changed, the anchoring of objects to the chart symbol is kept. Thus, displaying of line studies for all necessary symbols can be set up individually.

Object Properties

Every object has certain properties. To manage properties of objects, one has to open the objects list using the "Charts — Objects — Objects List" control panel command.

Select the necessary object in the window that appears and press "Edit>". The window of object properties will open where there are several tabs available.

Common

The most common settings of objects can be found here.

Object Properties: Common

  • Name — the unique object name within one chart, it is given automatically. Such names allow easy distinguishing of the necessary objects among many other objects of the same type. Using the popup list of this field, one can quickly go to editing properties of any other object drawn in the chart;

  • Style — object line style. Line color, type and thickness can be selected here;

  • Draw objects as background — the object can be drawn behind the chart, as a background.

The "Common" tab looks identically for all objects.

Parameters

In the "Parameters" tab, one can change coordinates of the object anchoring points in the chart. In the fields of "Time", the time coordinates are set up for the object. In the fields of "Value" — coordinates of object anchoring to the chart vertical axis or to the indicator. Vertical and horizontal lines have only one anchoring point expressed as the time or as the value. Fibonacci levels and trendline have two anchoring coordinates each.

Object Properties: Parameters (Trendline) Object Properties: Parameters (Trendline)

For Fibonacci levels and trendline, there is one more option in the "Parameters " tab:

  • Ray — trendlines of the object can be displayed as rays.

Displaying

In the "Display" tab, one can switch between object displaying modes on different timeframes. The object will be shown only on the selected periods (timeframes).

Object Properties: Display

This opportunity turns to be useful when a symbol has different settings on different timeframes.

Levels

The "Levels" tab is specific and used only for "Fibonacci Levels".

Object Properties: Fibonacci Levels

The list of symbol levels is given here as a table. The values of these levels can be changed or deleted (the "Delete" button). Using the "Add" button, one can create an additional level. If one writes "(%$)" in the "Description" field, the price value that corresponds with this level will be displayed in the chart, as well. The "By default" button sets initial values. The "Style" field is in the lower part of the tab. This field allows to set up object level color, form and thickness.


Analytics — Technical Indicators

Technical Indicators

Technical indicator is mathematical transformation of the security price and/or volumes in order to forecast future prices. Basing on alerts from technical indicators, one makes decisions about how and when to open or close a position. According to their functions, indicators can be divided into two groups: trend indicators and oscillators. Trend indicators help to determine the price movement in a direction and find the trend reversal moments simultaneously or with a delay. Oscillators help to find the reversals simultaneously or in advance.

Chart and Technical Indicators

Indicators are attached to the chart from the indicators list that can be called by the "Charts — Indicators" toolbar command.

The list is divided into two parts: the upper part is the general list of indicators, the lower one is the list of attached indicators. To attach an indicator to a chart, one has to select it with the cursor in the upper part of the list, then select in the lower part the window, into which the indicator must be added, then press "Add".

Technical indicator can be built in a specially created separate window with its own vertical scale (like MACD, for instance) or directly attached to the price chart (like Moving Average). Indicators can be build not only on price data or derivatives thereof (Median Price, Typical Price, Weighted Close), but on other indicators, too.

For example, one can build a Moving Average on Awesome Oscillator and get one more signal line in addition to the AO. For this, it is necessary to build an AO first. Then one should select the MA in the upper part of the list using the cursor, then select the AO in the lower part and press "Add". Then go to the MA properties window using the "Settings" button and select "Previous Indicator Data" in the "Apply to" field.

Indicator Properties Window: Parameters

If the "First Indicator Data" is selected, the MA will be built on the very first indicator data, but this very first indicator is not necessary the AO. If any other value (Close, High, etc.) is selected in the "Apply to" field, MA will be built in a separate window based on the chart prices, but not on the AO values.

When setting up indicators, one can, along with analytical characteristic, specify colors of elements, line thickness and character size. Besides, in the "Display" tab one can switch among object displaying modes on different timeframes. The indicator will only be shown on the selected timeframes. This tool is very helpful if the object has different settings on different timeframes.

Indicator Properties Window: Display

All settings can be changed. For this, it is necessary to select the desired indicator in the lower part of the indicators list and press "Settings". To delete an indicator, it is necessary to select the desired indicator in the lower part of the indicators list and press "Delete".

Attention: One can determine the exact value of the indicator in a specific point by moving the cursor to the line, character or histogram border of this indicator.


Technical Indicators — Acceleration/Deceleration

Acceleration/Deceleration — AC

Acceleration/Deceleration Technical Indicator (AC) measures acceleration and deceleration of the current driving force. This indicator will change direction before any changes in the driving force, which, it its turn, will change its direction before the price. If you realize that Acceleration/Deceleration is a signal of an earlier warning, it gives you evident advantages.

The nought line is basically the spot where the driving force is at balance with the acceleration. If Acceleration/Deceleration is higher than nought, then it is usually easier for the acceleration to continue the upward movement (and vice versa in cases when it is below nought). Unlike in case with Awesome Oscillator, it is not regarded as a signal when the nought line is crossed. The only thing that needs to be done to control the market and make decisions is to watch for changes in color. To save yourself serious reflections, you must remember: you can not buy with the help of Acceleration/Deceleration, when the current column is colored red, and you can not sell, when the current column is colored green.

If you enter the market in the direction of the driving force (the indicator is higher than nought, when buying, or it is lower than nought, when selling), then you need only two green columns to buy (two red columns to sell). If the driving force is directed against the position to be opened (indicator below nought for buying, or higher than nought for selling), a confirmation is needed, hence, an additional column is required. In this case the indicator is to show three red columns over the nought line for a short position and three green columns below the nought line for a long position.

Calculation

AC bar chart is the difference between the value of 5/34 of the driving force bar chart and 5-period simple moving average, taken from that bar chart.

MEDIAN PRICE = (HIGH + LOW) / 2

AO = SMA (MEDIAN PRICE, 5) — SMA (MEDIAN PRICE, 34)

AC = AO — SMA (AO, 5)

Where:

SMA — Simple Moving Average;

AO — Awesome Oscillator.


Technical Indicators — Accumulation/Distribution

Accumulation/Distribution (A/D)

Accumulation/Distribution Technical Indicator is determined by the changes in price and volume. The volume acts as a weighting coefficient at the change of price — the higher the coefficient (the volume) is, the greater the contribution of the price change (for this period of time) will be in the value of the indicator.

In fact, this indicator is a variant of the more commonly used indicator On Balance Volume. They are both used to confirm price changes by means of measuring the respective volume of sales.

When the Accumulation/Distribution indicator grows, it means accumulation (buying) of a particular security, as the overwhelming share of the sales volume is related to an upward trend of prices. When the indicator drops, it means distribution (selling) of the security, as most of sales take place during the downward price movement.

Divergences between the Accumulation/Distribution indicator and the price of the security indicate the upcoming change of prices. As a rule, in case of such divergences, the price tendency moves in the direction in which the indicator moves. Thus, if the indicator is growing, and the price of the security is dropping, a turnaround of price should be expected.

Calculation

A certain share of the daily volume is added to or subtracted from the current accumulated value of the indicator. The nearer the closing price to the maximum price of the day is, the higher the added share will be. The nearer the closing price to the minimum price of the day is, the greater the subtracted share will be. If the closing price is exactly in between the maximum and minimum of the day, the indicator value remains unchanged.

A/D = SUM[((CLOSE — MINIMUM) — (MAXIMUM — CLOSE))*VOLUME/(MAXIMUM — MINIMUM), N]

Where:

N — the quantity of periods used in the calculation.


Technical Indicators — Alligator

Alligator

"Most of the time the market remains stationary. Only for some 15–30% of time the market generates trends, and traders who are not located in the exchange itself derive most of their profits from the trends. My Grandfather used to repeat: "Even a blind chicken will find its corns, if it is always fed at the same time". We call the trade on the trend "a blind chicken market". It took us years, but we have produced an indicator, that lets us always keep our powder dry until we reach the blind chicken market"

Bill Williams

In principle, Alligator Technical Indicator is a combination of Balance Lines (Moving Averages) that use fractal geometry and nonlinear dynamics.

  • The blue line (Alligator’s Jaw) is the Balance Line for the timeframe that was used to build the chart (13-period Smoothed Moving Average, moved into the future by 8 bars);

  • The red line (Alligator’s Teeth) is the Balance Line for the value timeframe of one level lower (8-period Smoothed Moving Average, moved by 5 bars into the future);

  • The green line (Alligator’s Lips) is the Balance Line for the value timeframe, one more level lower (5-period Smoothed Moving Average, moved by 3 bars into the future).

Lips, Teeth and Jaw of the Alligator show the interaction of different time periods. As clear trends can be seen only 15 to 30 per cent of the time, it is essential to follow them and refrain from working on markets that fluctuate only within certain price periods.

When the Jaw, the Teeth and the Lips are closed or intertwined, it means the Alligator is going to sleep or is asleep already. As it sleeps, it gets hungrier and hungrier — the longer it will sleep, the hungrier it will wake up. The first thing it does after it wakes up is to open its mouth and yawn. Then the smell of food comes to its nostrils: flesh of a bull or flesh of a bear, and the Alligator starts to hunt it. Having eaten enough to feel quite full, the Alligator starts to lose the interest to the food/price (Balance Lines join together) — this is the time to fix the profit.

Calculation

MEDIAN PRICE = (HIGH + LOW) / 2

ALLIGATORS JAW = SMMA (MEDEAN PRICE, 13, 8)

ALLIGATORS TEETH = SMMA (MEDEAN PRICE, 8, 5)

ALLIGATORS LIPS = SMMA (MEDEAN PRICE, 5, 3)

Where:

MEDIAN PRICE — median price;

HIGH — the highest price of the bar;

LOW — the lowest price of the bar;

SMMA (A, B, C) — smoothed moving average. A parameter is for data to be smoothed, B is the smoothing period, C is shift to future. For example, SMMA (MEDIAN PRICE, 5, 3) means that the smoothed moving average will be calculated on the median price, smoothing period being equal to 5 bars and shift being 3;

ALLIGATORS JAW — Alligator's jaws (blue line);

ALLIGATORS TEETH — Alligator's teeth (red line);

ALLIGATORS LIPS — Alligator's lips (green line).


Technical Indicators — Average Directional Movement Index

Average Directional Movement Index

Average Directional Movement Index Technical Indicator (ADX) helps to determine if there is a price trend. It was developed and described in detail by Welles Wilder in his book "New concepts in technical trading systems".

The simplest trading method based on the system of directional movement implies comparison of two direction indicators: the 14-period +DI one and the 14-period -DI. To do this, one either puts the charts of indicators one on top of the other, or +DI is subtracted from -DI. W. Wilder recommends buying when +DI is higher than -DI, and selling when +DI sinks lower than -DI.

To these simple commercial rules Wells Wilder added "a rule of points of extremum". It is used to eliminate false signals and decrease the number of deals. According to the principle of points of extremum, the "point of extremum" is the point when +DI and -DI cross each other. If +DI raises higher than -DI, this point will be the maximum price of the day when they cross. If +DI is lower than -DI, this point will be the minimum price of the day they cross.

The point of extremum is used then as the market entry level. Thus, after the signal to buy (+DI is higher than -DI) one must wait till the price has exceeded the point of extremum, and only then buy. However, if the price fails to exceed the level of the point of extremum, one should retain the short position.

Average Directional Movement Index

Calculation

ADX = SUM[(+DI-(-DI))/(+DI+(-DI)), N]/N

Where:

N — the number of periods used in the calculation.


Technical Indicators — Average True Range

Average True Range

Average True Range Technical Indicator (ATR) is an indicator that shows volatility of the market. It was introduced by Welles Wilder in his book "New concepts in technical trading systems". This indicator has been used as a component of numerous other indicators and trading systems ever since.

Average True Range can often reach a high value at the bottom of the market after a sheer fall in prices occasioned by panic selling. Low values of the indicator are typical for the periods of sideways movement of long duration which happen at the top of the market and during consolidation. Average True Range can be interpreted according to the same principles as other volatility indicators. The principle of forecasting based on this indicator can be worded the following way: the higher the value of the indicator, the higher the probability of a trend change; the lower the indicator’s value, the weaker the trend’s movement is.

Average True Range

Calculation

True Range is the greatest of the following three values:

  • difference between the current maximum and minimum (high and low);

  • difference between the previous closing price and the current maximum;

  • difference between the previous closing price and the current minimum.

The indicator of Average True Range is a moving average of values of the true range.


Technical Indicators — Awesome Oscillator

Awesome Oscillator

Awesome Oscillator Technical Indicator (AO) is a 34-period simple moving average, plotted through the middle points of the bars (H+L)/2, which is subtracted from the 5-period simple moving average, built across the central points of the bars (H+L)/2. It shows us quite clearly what’s happening to the market driving force at the present moment.

Signals to buy

Saucer

This is the only signal to buy that comes when the bar chart is higher than the nought line. One must bear in mind:

  • the saucer signal is generated when the bar chart reversed its direction from the downward to upward. The second column is lower than the first one and is colored red. The third column is higher than the second and is colored green.

  • for the saucer signal to be generated the bar chart should have at least three columns.

Keep in mind, that all Awesome Oscillator columns should be over the nought line for the saucer signal to be used.

Nought line crossing

The signal to buy is generated when the bar chart passes from the area of negative values to that of positive. It comes when the bar chart crosses the nought line. As regards this signal:

  • for this signal to be generated, only two columns are necessary;

  • the first column is to be below the nought line, the second one is to cross it (transition from a negative value to a positive one);

  • simultaneous generation of signals to buy and to sell is impossible.

Two pikes

This is the only signal to buy that can be generated when the bar chart values are below the nought line. As regards this signal, please, bear in mind:

  • the signal is generated, when you have a pike pointing down (the lowest minimum) which is below the nought line and is followed by another down-pointing pike which is somewhat higher (a negative figure with a lesser absolute value, which is therefore closer to the nought line), than the previous down-looking pike.

  • the bar chart is to be below the nought line between the two pikes. If the bar chart crosses the nought line in the section between the pikes, the signal to buy doesn’t function. However, a different signal to buy will be generated — nought line crossing.

  • each new pike of the bar chart is to be higher (a negative number of a lesser absolute value that is closer to the nought line) than the previous pike.

  • if an additional higher pike is formed (that is closer to the nought line) and the bar chart has not crossed the nought line, an additional signal to buy will be generated.

Signals to sell

Awesome Oscillator signals to sell are identical to the signals to buy. The saucer signal is reversed and is below zero. Nought line crossing is on the decrease — the first column of it is over the nought, the second one is under it. The two pikes signal is higher than the nought line and is reversed too.

Calculation

AO is a 34-period simple moving average, plotted through the central points of the bars (H+L)/2, and subtracted from the 5-period simple moving average, graphed across the central points of the bars (H+L)/2.

MEDIAN PRICE = (HIGH+LOW)/2

AO = SMA(MEDIAN PRICE, 5)-SMA(MEDIAN PRICE, 34)

Where:

SMA — Simple Moving Average.


Technical Indicators — Bears Power

Bears Power

Everyday trading represents a battle of buyers ("Bulls") pushing prices up and sellers ("Bears") pushing prices down. Depending on what party scores off, the day will end with a price that is higher or lower than that of the previous day. Intermediate results, first of all the highest and lowest price, allow to judge about how the battle was developing during the day.

It is very important to be able to estimate the Bears Power balance since changes in this balance initially signalize about possible trend reversal. This task can be solved using the Bears Power oscillator developed by Alexander Elder and and described in his book titled Trading for a Living. Elder based on the following premises when deducing this oscillator:

  • moving average is a price agreement between sellers and buyers for a certain period of time,

  • the lowest price displays the maximum sellers' power within the day.

On these premises, Elder developed Bears Power as the difference between the lowest price and 13-period exponential moving average (LOW - EMA).

Application

This indicator is better to use together with a trand indicator (most frequently Moving Average):

  • if trend indicator is up-directed and the Bears Power index is below zero, but growing, it is a signal to buy;

  • it is desirable that, in this case, the divergence of bases were being formed in the indicator chart.

Calculation

The first stage of this indicator calculation is calculation of the exponential moving average (as a rule, it is recommended to use the 13-period EMA).

BEARS = LOW - EMA

Where:

BEARS — Bears Power;

LOW — the lowest price of the current bar;

EMA — exponential moving average.

In the down-trend, LOW is lower than EMA, so the Bears Power is below zero and histogram is located below zero line. If LOW rises above EMA when prices grow, the Bears Power becomes above zero and its histogram rises above zero line.


Technical Indicators — Bollinger Bands

Bollinger Bands

Bollinger Bands Technical Indicator (BB) is similar to Envelopes. The only difference is that the bands of Envelopes are plotted a fixed distance (%) away from the moving average, while the Bollinger Bands are plotted a certain number of standard deviations away from it. Standard deviation is a measure of volatility, therefore Bollinger Bands adjust themselves to the market conditions. When the markets become more volatile, the bands widen and they contract during less volatile periods.

Bollinger Bands are usually plotted on the price chart, but they can be also added to the indicator chart (Custom Indicators). Just like in case of the Envelopes, the interpretation of the Bollinger Bands is based on the fact that the prices tend to remain in between the top and the bottom line of the bands. A distinctive feature of the Bollinger Band indicator is its variable width due to the volatility of prices. In periods of considerable price changes (i.e. of high volatility) the bands widen leaving a lot of room to the prices to move in. During standstill periods, or the periods of low volatility the band contracts keeping the prices within their limits.

The following traits are particular to the Bollinger Band:

  1. abrupt changes in prices tend to happen after the band has contracted due to decrease of volatility.

  2. if prices break through the upper band, a continuation of the current trend is to be expected.

  3. if the pikes and hollows outside the band are followed by pikes and hollows inside the band, a reverse of trend may occur.

  4. the price movement that has started from one of the band’s lines usually reaches the opposite one. The last observation is useful for forecasting price guideposts.

Calculation

Bollinger bands are formed by three lines. The middle line (ML) is a usual Moving Average.

ML = SUM [CLOSE, N]/N

The top line, TL, is the same as the middle line a certain number of standard deviations (D) higher than the ML.

TL = ML + (D*StdDev)

The bottom line (BL) is the middle line shifted down by the same number of standard deviations.

BL = ML — (D*StdDev)

Where:

N — is the number of periods used in calculation;

SMA — Simple Moving Average;

StdDev — means Standard Deviation:

StdDev = SQRT (SUM ((CLOSE - SMA (CLOSE, N))^2, N)/N)

It is recommended to use 20-period Simple Moving Average as the middle line, and plot top and bottom lines two standard deviations away from it. Besides, moving averages of less than 10 periods are of little effect.


Technical Indicators — Bulls Power

Bulls Power

Everyday trading represents a battle of buyers ("Bulls") pushing prices up and sellers ("Bears") pushing prices down. Depending on what party scores off, the day will end with a price that is higher or lower than that of the previous day. Intermediate results, first of all the highest and lowest price, allow to judge about how the battle was developing during the day.

It is very important to be able to estimate the Bulls Power balance since changes in this balance initially signalize about possible trend reversal. This task can be solved using the Bulls Power oscillator developed by Alexander Elder and and described in his book titled Trading for a Living. Elder based on the following premises when deducing this oscillator:

  • moving average is a price agreement between sellers and buyers for a certain period of time,

  • the highest price displays the maximum buyers' power within the day.

On these premises, Elder developed Bulls Power as the difference between the highest price and 13-period exponential moving average (HIGH - EMA).

Application

This indicator is better to use together with a trand indicator (most frequently Moving Average):

  • if trend indicator is down-directed and the Bulls Power index is above zero, but falling, it is a signal to sell;

  • it is desirable that, in this case, the divergence of peaks were being formed in the indicator chart.

Calculation

The first stage of this indicator calculation is calculation of the exponential moving average (as a rule, it is recommended to use the 13-period EMA).

BULLS = HIGH - EMA

Where:

BULLS — Bulls Power;

HIGH — the highest price of the current bar;

EMA — exponential moving average..

In the up-trend, HIGH is higher than EMA, so the Bulls Power is above zero and histogram is located above zero line. If HIGH falls under EMA when prices fall, the Bulls Power becomes below zero and its histogram falls under zero line.


Technical Indicators — Commodity Channel Index

Commodity Channel Index

Commodity Channel Index Technical Indicator (CCI) measures the deviation of the commodity price from its average statistical price. High values of the index point out that the price is unusually high being compared with the average one, and low values show that the price is too low. In spite of its name, the Commodity Channel Index can be applied for any financial instrument, and not only for the wares.

There are two basic techniques of using Commodity Channel Index:

  1. Finding the divergences
    The divergence appears when the price reaches a new maximum, and Commodity Channel Index can not grow above the previous maximums. This classical divergence is normally followed by the price correction.

  2. As an indicator of overbuying/overselling
    Commodity Channel Index usually varies in the range of ±100. Values above +100 inform about overbuying state (and about a probability of correcting decay), and the values below 100 inform about the overselling state (and about a probability of correcting increase).

Commodity Channel Index

Calculation

To find a Typical Price. You need to add the HIGH, the LOW, and the CLOSE prices of each bar and then divide the result by 3:

TP = (HIGH + LOW +CLOSE)/3

To calculate the n-period Simple Moving Average of typical prices:

SMA(TP, N) = SUM[TP, N]/N

To subtract the received SMA(TP, N) from Typical Prices:

D = TP — SMA(TP, N)

To calculate the n-period Simple Moving Average of absolute D values:

SMA(D, N) = SUM[D, N]/N

To multiply the received SMA(D, N) by 0,015:

M = SMA(D, N) * 0,015

To divide M by D:

CCI = M/D

Where:

SMA — Simple Moving Average;

N — number of periods, used for calculation.


Technical Indicators — DeMarker

DeMarker

Demarker Technical Indicator is based on the comparison of the period maximum with the previous period maximum. If the current period (bar) maximum is higher, the respective difference between the two will be registered. If the current maximum is lower or equaling the maximum of the previous period, the naught value will be registered. The differences received for N periods are then summarized. The received value is used as the numerator of the DeMarker and will be divided by the same value plus the sum of differences between the price minima of the previous and the current periods (bars). If the current price minimum is greater than that of the previous bar, the naught value will be registered.

When the indicator falls below 30, the bullish price reversal should be expected. When the indicator rises above 70, the bearish price reversal should be expected.

If you use periods of longer duration, when calculating the indicator, you’ll be able to catch the long term market tendency. Indicators based on short periods let you enter the market at the point of the least risk and plan the time of transaction so that it falls in with the major trend.

Calculation:

The value of the DeMarker for the "i" interval is calculated as follows:

  • The DeMax(i) is calculated:
    If high(i) > high(i-1) , then DeMax(i) = high(i)-high(i-1), otherwise DeMax(i) = 0

  • The DeMin(i) is calculated:
    If low(i) < low(i-1), then DeMin(i) = low(i-1)-low(i), otherwise DeMin(i) = 0

  • The value of the DeMarker is calculated as:
    DMark(i) = SMA(DeMax, N)/(SMA(DeMax, N)+SMA(DeMin, N))

Where:

SMA — Simple Moving Average;

N — the number of periods used in the calculation.


Technical Indicators — Envelopes

Envelopes

Envelopes Technical Indicator is formed with two Moving Averages one of which is shifted upward and another one is shifted downward. The selection of optimum relative number of band margins shifting is determined with the market volatility: the higher the latter is, the stronger the shift is.

Envelopes define the upper and the lower margins of the price range. Signal to sell appears when the price reaches the upper margin of the band; signal to buy appears when the price reaches the lower margin.

The logic behind envelopes is that overzealous buyers and sellers push the price to the extremes (i.e., the upper and lower bands), at which point the prices often stabilize by moving to more realistic levels. This is similar to the interpretation of Bollinger Bands.

Calculation

Upper Band = SMA(CLOSE, N)*[1+K/1000]

Lower Band = SMA(CLOSE, N)*[1-K/1000]

Where:

SMA — Simple Moving Average;

N — averaging period;

K / 1000 — the value of shifting from the average (measured in basis points).


Technical Indicators — Force Index

Force Index

Force Index Technical Indicator was developed by Alexander Elder. This index measures the Bulls Power at each increase, and the Bulls Power at each decrease. It connects the basic elements of market information: price trend, its drops, and volumes of transactions. This index can be used as it is, but it is better to approximate it with the help of Moving Average. Approximation with the help a short moving average (the author proposes to use 2 intervals) contributes to finding the best opportunity to open and close positions. If the approximations is made with long moving average (period 13), the index shows the trends and their changes.

  • It is better to buy when the forces become minus (fall below zero) in the period of indicator increasing tendency;

  • The force index signalizes the continuation of the increasing tendency when it increases to the new peak;

  • The signal to sell comes when the index becomes positive during the decreasing tendency;

  • The force index signalizes the Bears Power and continuation of the decreasing tendency when the index falls to the new trough;

  • If price changes do not correlate to the corresponding changes in volume, the force indicator stays on one level, which tells you the trend is going to change soon.

Calculation

The force of every market movement is characterized by its direction, scale and volume. If the closing price of the current bar is higher than the preceding bar, the force is positive. If the current closing price if lower than the preceding one, the force is negative. The greater the difference in prices is, the greater the force is. The greater the transaction volume is, the greater the force is.

FORCE INDEX (i) = VOLUME (i) * ((MA (ApPRICE, N, i) - MA (ApPRICE, N, i-1))

Where:

FORCE INDEX (i) — Force Index of the current bar;

VOLUME (i) — volume of the current bar;

MA (ApPRICE, N, i) — any Moving Average of the current bar for N period: Simple, Exponential, Weighted or Smoothed;

ApPRICE — applied price;

N — period of the smoothing;

MA (ApPRICE, N, i-1) — any Moving Average of the previous bar.


Technical Indicators — Fractals

Fractals

All markets are characterized by the fact that on the most part the prices do not change too much, and only short periods of time (15–30 percent) account for trend changes. Most lucrative periods are usually the case when market prices change according to a certain trend.

A Fractal is one of five indicators of Bill Williams’ trading system, which allows to detect the bottom or the top.

Fractal Technical Indicator it is a series of at least five successive bars, with the highest HIGH in the middle, and two lower HIGHs on both sides. The reversing set is a series of at least five successive bars, with the lowest LOW in the middle, and two higher LOWs on both sides, which correlates to the sell fractal. The fractals are have High and Low values and are indicated with the up and down arrows.

The fractal needs to be filtrated with the use of Alligator. In other words, you should not close a buy transaction, if the fractal is lower than the Alligator’s Teeth, and you should not close a sell transaction, if the fractal is higher than the Alligator’s Teeth. After the fractal signal has been created and is in force, which is determined by its position beyond the Alligator’s Mouth, it remains a signal until it gets attacked, or until a more recent fractal signal emerges.


Technical Indicators — Gator Oscillator

Gator Oscillator

Gator Oscillator is based on the Alligator and shows the degree of convergence/divergence of the Balance Lines (Smoothed Moving Averages). The top bar chart is the absolute difference between the values of the blue and the red lines. The bottom bar chart is the absolute difference between the values of the red line and the green line, but with the minus sign, as the bar chart is drawn top-down.


Technical Indicators — Ichimoku Kinko Hyo

Ichimoku Kinko Hyo

Ichimoku Kinko Hyo Technical Indicator is predefined to characterize the market Trend, Support and Resistance Levels, and to generate signals of buying and selling. This indicator works best at weekly and daily charts.

When defining the dimension of parameters, four time intervals of different length are used. The values of individual lines composing this indicator are based on these intervals:

  • Tenkan-sen shows the average price value during the first time interval defined as the sum of maximum and minimum within this time, divided by two;

  • Kijun-sen shows the average price value during the second time interval;

  • Senkou Span A shows the middle of the distance between two previous lines shifted forwards by the value of the second time interval;

  • Senkou Span B shows the average price value during the third time interval shifted forwards by the value of the second time interval.

Chinkou Span shows the closing price of the current candle shifted backwards by the value of the second time interval. The distance between the Senkou lines is hatched with another color and called "cloud". If the price is between these lines, the market should be considered as non-trend, and then the cloud margins form the support and resistance levels.

  • If the price is above the cloud, its upper line forms the first support level, and the second line forms the second support level;

  • If the price is below cloud, the lower line forms the first resistance level, and the upper one forms the second level;

  • If the Chinkou Span line traverses the price chart in the bottom-up direction it is signal to buy. If the Chinkou Span line traverses the price chart in the top-down direction it is signal to sell.

Kijun-sen is used as an indicator of the market movement. If the price is higher than this indicator, the prices will probably continue to increase. When the price traverses this line the further trend changing is possible. Another kind of using the Kijun-sen is giving signals. Signal to buy is generated when the Tenkan-sen line traverses the Kijun-sen in the bottom-up direction. Top-down direction is the signal to sell. Tenkan-sen is used as an indicator of the market trend. If this line increases or decreases, the trend exists. When it goes horizontally, it means that the market has come into the channel.

Ichimoku Kinko Hyo


Technical Indicators — Market Facilitation Index

Market Facilitation Index

Market Facilitation Index Technical Indicator (BW MFI) is the indicator which shows the change of price for one tick. Absolute values of the indicator do not mean anything as they are, only indicator changes have sense. Bill Williams emphasizes the interchanging of MFI and volume:

  • Market Facilitation Index increases and volume increases — this points out that: a) the number of players coming into the market increases (volume increases) b) the new coming players open positions in the direction of bar development, i.e., the movement has begun and picks up speed;

  • Market Facilitation Index falls and volume falls. It means the market participants are not interested anymore;

  • Market Facilitation Index increases, but the volume falls. It is most likely, that the market is not supported with the volume from clients, and the price is changing due to traders’ (brokers and dealers) "on the floor" speculations;

  • Market Facilitation Index falls, but the volume increases. There is a battle between bulls and bears, characterized by a large sell and buy volume, but the price is not changing significantly since the forces are equal. One of the contending parties (buyers vs. sellers) will eventually win the battle. Usually, the break of such a bar lets you know if this bar determines the continuation of the trend or annuls the trend. Bill Williams calls such bar "curtsying".

Market Facilitation Index

Calculation

To calculate Market Facilitation Index you need to subtract the lowest bar price from the highest bar price and divide it by the volume.

BW MFI = RANGE*(HIGH-LOW)/VOLUME

Where:

RANGE — is the multiplication factor, which brings the difference in points down to whole numbers.


Technical Indicators — Momentum

Momentum

The Momentum Technical Indicator measures the amount that a security’s price has changed over a given time span.

There are basically two ways to use the Momentum indicator:

  • You can use the Momentum indicator as a trend-following oscillator similar to the Moving Average Convergence/Divergence (MACD). Buy when the indicator bottoms and turns up and sell when the indicator peaks and turns down. You may want to plot a short-term moving average of the indicator to determine when it is bottoming or peaking.

    If the Momentum indicator reaches extremely high or low values (relative to its historical values), you should assume a continuation of the current trend. For example, if the Momentum indicator reaches extremely high values and then turns down, you should assume prices will probably go still higher. In either case, only trade after prices confirm the signal generated by the indicator (for example, if prices peak and turn down, wait for prices to begin to fall before selling).

  • You can also use the Momentum indicator as a leading indicator. This method assumes that market tops are typically identified by a rapid price increase (when everyone expects prices to go higher) and that market bottoms typically end with rapid price declines (when everyone wants to get out). This is often the case, but it is also a broad generalization.

As a market peaks, the Momentum indicator will climb sharply and then fall off — diverging from the continued upward or sideways movement of the price. Similarly, at a market bottom, Momentum will drop sharply and then begin to climb well ahead of prices. Both of these situations result in divergences between the indicator and prices.

Calculation

Momentum is calculated as a ratio of today’s price to the price several (N) periods ago:

MOMENTUM = CLOSE(i) / CLOSE (i - N) * 100

Where:

CLOSE(i) — is the closing price of the current bar;

CLOSE(i-N) — is the closing bar price N periods ago.


Technical Indicators — Money Flow Index

Money Flow Index

Money Flow Index (MFI) is the technical indicator, which indicates the rate at which money is invested into a security and then withdrawn from it. Construction and interpretation of the indicator is similar to Relative Strength Index with the only difference that volume is important to MFI.

When analyzing the money flow index one needs to take into consideration the following points:

  • divergences between the indicator and price movement. If prices grow while MFI falls (or vice versa), there is a great probability of a price turn;

  • Money Flow Index value, which is over 80 or under 20, signals correspondingly of a potential peak or bottom of the market.

Money Flow Index

Calculation

The calculation of Money Flow Index includes several stages. At first one defines the typical price (TP) of the period in question.

TP = (HIGH + LOW + CLOSE)/3

Then one calculates the amount of the Money Flow (MF):

MF = TP * VOLUME

If today’s typical price is larger than yesterday’s TP, then the money flow is considered positive. If today’s typical price is lower than that of yesterday, the money flow is considered negative.

A positive money flow is a sum of positive money flows for a selected period of time. A negative money flow is the sum of negative money flows for a selected period of time.

Then one calculates the money ratio (MR) by dividing the positive money flow by the negative money flow:

MR = Positive Money Flow (PMF)/Negative Money Flow (NMF)

And finally, one calculates the money flow index using the money ratio:

MFI = 100 - (100 / (1 + MR))


Technical Indicators — Moving Average

Moving Average

The Moving Average Technical Indicator shows the mean instrument price value for a certain period of time. When one calculates the moving average, one averages out the instrument price for this time period. As the price changes, its moving average either increases, or decreases.

There are four different types of moving averages: Simple (also referred to as Arithmetic), Exponential, Smoothed and Linear Weighted. Moving averages may be calculated for any sequential data set, including opening and closing prices, highest and lowest prices, trading volume or any other indicators. It is often the case when double moving averages are used.

The only thing where moving averages of different types diverge considerably from each other, is when weight coefficients, which are assigned to the latest data, are different. In case we are talking of simple moving average, all prices of the time period in question, are equal in value. Exponential and Linear Weighted Moving Averages attach more value to the latest prices.

The most common way to interpreting the price moving average is to compare its dynamics to the price action. When the instrument price rises above its moving average, a buy signal appears, if the price falls below its moving average, what we have is a sell signal.

This trading system, which is based on the moving average, is not designed to provide entrance into the market right in its lowest point, and its exit right on the peak. It allows to act according to the following trend: to buy soon after the prices reach the bottom, and to sell soon after the prices have reached their peak.

Moving averages may also be applied to indicators. That is where the interpretation of indicator moving averages is similar to the interpretation of price moving averages: if the indicator rises above its moving average, that means that the ascending indicator movement is likely to continue: if the indicator falls below its moving average, this means that it is likely to continue going downward.

Here are the types of moving averages on the chart:

  • Simple Moving Average (SMA)

  • Exponential Moving Average (EMA)

  • Smoothed Moving Average (SMMA)

  • Linear Weighted Moving Average (LWMA)

Calculation:

Simple Moving Average (SMA)

Simple, in other words, arithmetical moving average is calculated by summing up the prices of instrument closure over a certain number of single periods (for instance, 12 hours). This value is then divided by the number of such periods.

SMA = SUM(CLOSE, N) / N

Where:

N — is the number of calculation periods.

Exponential Moving Average (EMA)

Exponentially smoothed moving average is calculated by adding the moving average of a certain share of the current closing price to the previous value. With exponentially smoothed moving averages, the latest prices are of more value. P-percent exponential moving average will look like:

EMA = (CLOSE(i) * P) + (EMA(i - 1) * (100 - P))

Where:

CLOSE(i) — the price of the current period closure;

EMA(i-1) — Exponentially Moving Average of the previous period closure;

P — the percentage of using the price value.

Smoothed Moving Average (SMMA)

The first value of this smoothed moving average is calculated as the simple moving average (SMA):

SUM1 = SUM(CLOSE, N)

SMMA1 = SUM1/N

The second and succeeding moving averages are calculated according to this formula:

PREVSUM = SMMA(i - 1) * N

SMMA(i) = (PREVSUM - SMMA(i - 1) + CLOSE(i)) / N

Where:

SUM1 — is the total sum of closing prices for N periods;

PREVSUM — smoothed sum of previous bar;

SMMA1 — is the smoothed moving average of the first bar;

SMMA(i) — is the smoothed moving average of the current bar (except for the first one);

CLOSE(i) — is the current closing price;

N — is the smoothing period.

The formula can be simplified as a result of arithmetic manipulations:

SMMA (i) = (SMMA(i - 1) * (N - 1) + CLOSE (i)) / N

Linear Weighted Moving Average (LWMA)

In the case of weighted moving average, the latest data is of more value than more early data. Weighted moving average is calculated by multiplying each one of the closing prices within the considered series, by a certain weight coefficient.

LWMA = SUM(Close(i)*i, N) / SUM(i, N)

Where:

SUM (i, N) — is the total sum of weight coefficients.


Technical Indicators — Moving Average Convergence/Divergence

Moving Average Convergence/Divergence

Moving Average Convergence/Divergence is the next trend-following dynamic indicator. It indicates the correlation between two price moving averages.

The Moving Average Convergence/Divergence Technical Indicator is the difference between a 26-period and 12-period Exponential Moving Average (EMA). In order to clearly show buy/sell opportunities, a so-called signal line (9-period indicators` moving average) is plotted on the MACD chart.

The MACD proves most effective in wide-swinging trading markets. There are three popular ways to use the Moving Average Convergence/Divergence: crossovers, overbought/oversold conditions, and divergences.

Crossovers

The basic MACD trading rule is to sell when the MACD falls below its signal line. Similarly, a buy signal occurs when the Moving Average Convergence/Divergence rises above its signal line. It is also popular to buy/sell when the MACD goes above/below zero.

Overbought/oversold conditions

The MACD is also useful as an overbought/oversold indicator. When the shorter moving average pulls away dramatically from the longer moving average (i.e., the MACD rises), it is likely that the security price is overextending and will soon return to more realistic levels.

Divergence

An indication that an end to the current trend may be near occurs when the MACD diverges from the security. A bullish divergence occurs when the Moving Average Convergence/Divergence indicator is making new highs while prices fail to reach new highs. A bearish divergence occurs when the MACD is making new lows while prices fail to reach new lows. Both of these divergences are most significant when they occur at relatively overbought/oversold levels.

Moving Average Convergence/Divergence

Calculation

The MACD is calculated by subtracting the value of a 26-period exponential moving average from a 12-period exponential moving average. A 9-period dotted simple moving average of the MACD (the signal line) is then plotted on top of the MACD.

MACD = EMA(CLOSE, 12)-EMA(CLOSE, 26)

SIGNAL = SMA(MACD, 9)

Where:

EMA — the Exponential Moving Average;

SMA — the Simple Moving Average;

SIGNAL — the signal line of the indicator.


Technical Indicators — Moving Average of Oscillator

Moving Average of Oscillator

Moving Average of Oscillator is the difference between the oscillator and oscillator smoothing. In this case, Moving Average Convergence/Divergence base-line is used as the oscillator, and the signal line is used as the smoothing.

Moving Average of Oscillator

Calculation

OSMA = MACD-SIGNAL

Where:

MACD — main line of MACD (histogram);

SIGNAL — signal line of MACD.


Technical Indicators — On Balance Volume

On Balance Volume

On Balance Volume Technical Indicator (OBV) is a momentum technical indicator that relates volume to price change. The indicator, which Joseph Granville came up with, is pretty simple. When the security closes higher than the previous close, all of the day’s volume is considered up-volume. When the security closes lower than the previous close, all of the day’s volume is considered down-volume.

The basic assumption, regarding On Balance Volume analysis, is that OBV changes precede price changes. The theory is that smart money can be seen flowing into the security by a rising OBV. When the public then moves into the security, both the security and the On Balance Volume will surge ahead.

If the security’s price movement precedes OBV movement, a "non-confirmation" has occurred. Non-confirmations can occur at bull market tops (when the security rises without, or before, the OBV) or at bear market bottoms (when the security falls without, or before, the On Balance Volume Technical Indicator).

The OBV is in a rising trend when each new peak is higher than the previous peak and each new trough is higher than the previous trough. Likewise, the On Balance Volume is in a falling trend when each successive peak is lower than the previous peak and each successive trough is lower than the previous trough. When the OBV is moving sideways and is not making successive highs and lows, it is in a doubtful trend.

Once a trend is established, it remains in force until it is broken. There are two ways in which the On Balance Volume trend can be broken. The first occurs when the trend changes from a rising trend to a falling trend, or from a falling trend to a rising trend.

The second way the OBV trend can be broken is if the trend changes to a doubtful trend and remains doubtful for more than three days. Thus, if the security changes from a rising trend to a doubtful trend and remains doubtful for only two days before changing back to a rising trend, the On Balance Volume is considered to have always been in a rising trend.

When the OBV changes to a rising or falling trend, a "breakout" has occurred. Since OBV breakouts normally precede price breakouts, investors should buy long on On Balance Volume upside breakouts. Likewise, investors should sell short when the OBV makes a downside breakout. Positions should be held until the trend changes.

On Balance Volume

Calculation

If today’s close is greater than yesterday’s close then: OBV(i) = OBV(i-1)+VOLUME(i)

If today’s close is less than yesterday’s close then: OBV(i) = OBV(i-1)-VOLUME(i)

If today’s close is equal to yesterday’s close then: OBV(i) = OBV(i-1)

Where:

OBV(i) — is the indicator value of the current period;

OBV(i-1) — is the indicator value of the previous period;

VOLUME(i) — is the volume of the current bar.


Technical Indicators — Parabolic SAR

Parabolic SAR

Parabolic SAR Technical Indicator was developed for analyzing the trending markets. The indicator is constructed on the price chart. This indicator is similar to the Moving Average Technical Indicator with the only difference that Parabolic SAR moves with higher acceleration and may change its position in terms of the price. The indicator is below the prices on the bull market (Up Trend), when it’s bearish (Down Trend), it is above the prices.

If the price crosses Parabolic SAR lines, the indicator turns, and its further values are situated on the other side of the price. When such an indicator turn does take place, the maximum or the minimum price for the previous period would serve as the starting point. When the indicator makes a turn, it gives a signal of the trend end (correction stage or flat), or of its turn.

The Parabolic SAR is an outstanding indicator for providing exit points. Long positions should be closed when the price sinks below the SAR line, short positions should be closed when the price rises above the SAR line. It is often the case that the indicator serves as a trailing stop line.

If the long position is open (i.e., the price is above the SAR line), the Parabolic SAR line will go up, regardless of what direction the prices take. The length of the SAR line movement depends on the scale of the price movement.

Calculation

SAR(i) = SAR(i-1)+ACCELERATION*(EPRICE(i-1)-SAR(i-1))

Where:

SAR(i-1) — is the value of the indicator on the previous bar;

ACCELERATION — is the acceleration factor;

EPRICE(i-1) — is the highest (lowest) price for the previous period (EPRICE=HIGH for long positions and EPRICE=LOW for short positions).

The indicator value increases if the price of the current bar is higher than previous bullish and vice versa. The acceleration factor (ACCELERATION) will double at the same time, which would cause Parabolic SAR and the price to come together. In other words, the faster the price grows or sinks, the faster the indicator approaches the price.


Technical Indicators — Relative Strength Index

Relative Strength Index

The Relative Strength Index Technical Indicator (RSI) is a price-following oscillator that ranges between 0 and 100. When Wilder introduced the Relative Strength Index, he recommended using a 14-day RSI. Since then, the 9-day and 25-day Relative Strength Index indicators have also gained popularity.

A popular method of analyzing the RSI is to look for a divergence in which the security is making a new high, but the RSI is failing to surpass its previous high. This divergence is an indication of an impending reversal. When the Relative Strength Index then turns down and falls below its most recent trough, it is said to have completed a "failure swing". The failure swing is considered a confirmation of the impending reversal.

Ways to use Relative Strength Index for chart analysis:

  • Tops and bottoms
    The Relative Strength Index usually tops above 70 and bottoms below 30. It usually forms these tops and bottoms before the underlying price chart;

  • Chart Formations
    The RSI often forms chart patterns such as head and shoulders or triangles that may or may not be visible on the price chart;

  • Failure swing ( Support or Resistance penetrations or breakouts)
    This is where the Relative Strength Index surpasses a previous high (peak) or falls below a recent low (trough);

  • Support and Resistance levels
    The Relative Strength Index shows, sometimes more clearly than price themselves, levels of support and resistance.

  • Divergences
    As discussed above, divergences occur when the price makes a new high (or low) that is not confirmed by a new high (or low) in the Relative Strength Index. Prices usually correct and move in the direction of the RSI.

Relative Strength Index

Calculation

RSI = 100-(100/(1+U/D))

Where:

U — is the average number of positive price changes;

D — is the average number of negative price changes.


Technical Indicators — Relative Vigor Index

Relative Vigor Index

The main point of Relative Vigor Index Technical Indicator (RVI) is that on the bull market the closing price is, as a rule, higher, than the opening price. It is the other way round on the bear market. So the idea behind Relative Vigor Index is that the vigor, or energy, of the move is thus established by where the prices end up at the close. To normalize the index to the daily trading range, divide the change of price by the maximum range of prices for the day. To make a more smooth calculation, one uses Simple Moving Average. 10 is the best period. To avoid probable ambiguity one needs to construct a signal line, which is a 4-period symmetrically weighted moving average of Relative Vigor Index values. The concurrence of lines serves as a signal to buy or to sell.

Relative Vigor Index

Calculation

RVI = (CLOSE-OPEN)/(HIGH-LOW)

Where:

OPEN — is the opening price;

HIGH — is the maximum price;

LOW — is the minimum price;

CLOSE — is the closing price.


Technical Indicators — Standard Deviation

Standard Deviation

Standard Deviation — value of the market volatility measurement. This indicator describes the range of price fluctuations relative to simple moving average. So, if the value of this indicator is high, the market is volatile, and prices of bars are rather spread relative to the moving average. If the indicator value is low, the market can described as having a low volatility, and prices of bars are rather close to the moving average.

Normally, this indicator is used as a constituent of other indicators. Thus, when calculating Bollinger Bands, one has to add the symbol standard deviation value to its moving average.

Calculation

StdDev = SQRT (SUM (CLOSE - SMA (CLOSE, N), N)^2)/N

Where:

SQRT — square root;

SUM (..., N) — sum within N periods;

SMA (..., N) — simple moving average having the period of N;

N — calculation period.


Technical Indicators — Stochastic Oscillator

Stochastic Oscillator

The Stochastic Oscillator Technical Indicator compares where a security’s price closed relative to its price range over a given time period. The Stochastic Oscillator is displayed as two lines. The main line is called %K. The second line, called %D, is a Moving Average of %K. The %K line is usually displayed as a solid line and the %D line is usually displayed as a dotted line.

There are several ways to interpret a Stochastic Oscillator. Three popular methods include:

  • Buy when the Oscillator (either %K or %D) falls below a specific level (for example, 20) and then rises above that level. Sell when the Oscillator rises above a specific level (for example, 80) and then falls below that level;

  • Buy when the %K line rises above the %D line and sell when the %K line falls below the %D line;

  • Look for divergences. For instance: where prices are making a series of new highs and the Stochastic Oscillator is failing to surpass its previous highs.

Calculation

The Stochastic Oscillator has four variables:

  • %K periods. This is the number of time periods used in the stochastic calculation;

  • %K Slowing Periods. This value controls the internal smoothing of %K. A value of 1 is considered a fast stochastic; a value of 3 is considered a slow stochastic;

  • %D periods. his is the number of time periods used when calculating a moving average of %K;

  • %D method. The method (i.e., Exponential, Simple, Smoothed, or Weighted) that is used to calculate %D.

The formula for %K is:

%K = (CLOSE-LOW(%K))/(HIGH(%K)-LOW(%K))*100

Where:

CLOSE — is today’s closing price;

LOW(%K) — is the lowest low in %K periods;

HIGH(%K) — is the highest high in %K periods.

The %D moving average is calculated according to the formula:

%D = SMA(%K, N)

Where:

N — is the smoothing period;

SMA — is the Simple Moving Average.


Technical Indicators — Williams’ Percent Range

Williams’ Percent Range

Williams’ Percent Range Technical Indicator (%R) is a dynamic technical indicator, which determines whether the market is overbought/oversold. Williams’ %R is very similar to the Stochastic Oscillator. The only difference is that %R has an upside down scale and the Stochastic Oscillator has internal smoothing.

To show the indicator in this upside down fashion, one places a minus symbol before the Williams Percent Range values (for example -30%). One should ignore the minus symbol when conducting the analysis.

Indicator values ranging between 80 and 100% indicate that the market is oversold. Indicator values ranging between 0 and 20% indicate that the market is overbought.

As with all overbought/oversold indicators, it is best to wait for the security’s price to change direction before placing your trades. For example, if an overbought/oversold indicator is showing an overbought condition, it is wise to wait for the security’s price to turn down before selling the security.

An interesting phenomenon of the Williams Percent Range indicator is its uncanny ability to anticipate a reversal in the underlying security’s price. The indicator almost always forms a peak and turns down a few days before the security’s price peaks and turns down. Likewise, Williams Percent Range usually creates a trough and turns up a few days before the security’s price turns up.

Williams’ Percent Range

Calculation

Below is the formula of the %R indicator calculation, which is very similar to the Stochastic Oscillator formula:

%R = (HIGH(i-n)-CLOSE)/(HIGH(i-n)-LOW(i-n))*100

Where:

CLOSE — is today’s closing price;

HIGH(i-n) — is the highest high over a number (n) of previous periods;

LOW(i-n) — is the lowest low over a number (n) of previous periods.


Trading

Trading

The basis of profiting on financial markets is a simple rule: buy lower and sell higher. Thus, the work on financial markets comes down to consecutive performing of trade transactions of buying and selling securities. For this, one will have to open, modify and close trade positions. Trade position is a marketable obligation, the amount of bought or sold contracts, for which there were no offset transactions. The entire trading in terminal is performed using trade positions.

To open a trade position, it is necessary to make a trade. To close a trade position, it is necessary to make a counter operation. A trade position can be opened with a brokerage company by a market order or by execution of a pending order. Open positions can be modified by changing the values of Stop Loss and Take Profit orders attached to it. Position can be closed by the trader's request or upon execution of the attached Stop Loss and Take Profit.


Trading — Order Types

Order Types

The mobile terminal allows traders to prepare and give orders to the broker to execute trade operations. Besides, the terminal allows controlling and management of the open positions statuses. There are several types of trade orders used for these purposes. Order is a command or an instruction of the customer to his or her broker to make a trade operation. The following orders are used in the terminal: Market order, Pending order, Stop Loss, and Take Profit.

  • Market Order
    Market order is the instruction given to broker in order to buy or sell a security at the current price. Execution of this order will result in opening a trade position. The buying will be performed at the Ask price, the selling — at the Bid price. Stop Loss and/or Take Profit orders (described below) can be attached to the market order. The execution mode of market orders depends on the symbol.

  • Pending Order
    Pending order is the instruction given to broker in order to buy or sell a symbol at a preset price in future. This type of orders is used to open a trade position provided the quotes comply with the preset level. There are four types of pending orders:

    1. Buy Limit — buy provided the "Ask" price is equal to the preset value. The current price level is higher than the value of the order placed. Orders of this type are usually placed with a view to that the symbol price, after it has fallen to a certain level, will start growing;

    2. Buy Stop — buy provided the "Ask" price is equal to the preset value. The current price level is lower than the value of the order placed. Orders of this type are usually placed with a view to that the symbol price will exceed a certain level and continue to grow further;

    3. Sell Limit — sell provided the "Bid" price is equal to the preset value. The current price level is lower than the value of the order placed. Orders of this type are usually placed with a view to that the symbol price, after it has reached a certain level, will start falling;

    4. Sell Stop — sell provided the "Bid" price is equal to the preset value. The current price level is higher than the value of the order placed. Orders of this type are usually placed with a view to that the symbol price will fall under a certain level and continue to fall further.

    Pending Orders Placing Conditions

    Orders Stop Loss and Take Profit can be attached to a pending order. After a pending order has triggered, its Stop Loss and Take Profit will be attached to the open position automatically.

  • Stop Loss
    This order is intended to minimize losses if the symbol price starts to move in an unprofitable direction. If the symbol price reaches this level, the position will be closed automatically. Such order is always connected to an open position or a pending order. It is required to be placed by the broker only together with a market or a pending order. Bid price is used to check this order's condition for long positions. For short positions, Ask price is used.

    To automate Stop Loss order's following the price, one can use the Trailing Stop.

  • Take Profit
    Take Profit is intended to gain profit when a symbol price reaches the forecasted level. Execution of this order results in closing of the position. It is always connected to an open position or a pending order. The order can only be placed together with a market or a pending order. Bid price is used to check this order's condition for long positions. For short positions, Ask price is used.

Attention:
  • Execution price for all trade operations is determined by the broker;
  • Stop Loss and Take Profit are only executed for an open position and are not executed for pending orders;
  • historical charts in the terminal are built on only Bid prices. Some of orders displayed in the charts are built on Ask prices. To display the Ask price of the latest bar, it is necessary to flag "Ask Line" in the "Chart — Properties".


Trading — Trailing Stop

Trailing Stop

Stop Loss is intended for minimization of losses, in case the symbol price starts to move in a losing direction. Should the open position become profitable, the Stop Loss can be moved to a breakeven level manually. To automate this process, Trailing Stop is used. This tool is especially helpful when the price moves strongly and in the same direction, and when there is no possibility to watch the markets continuously.

Trailing Stop Management Menu

Trailing Stop is always related to the open position and executed in the client terminal, not on the server as the Stop Loss. To place a trailing stop, it is necessary to select the command of the open position context menu in the window/tab "Orders". Then select in the list opened the desired distance between the Stop Loss level and the current price. Only one trailing stop can be placed for each open position.

After the above actions have been performed, the terminal check at incoming of new quotes whether the open position is profitable or not. As soon as the profit in points becomes equal or exceeds the specified level, the command to place the Stop Loss order is given automatically. The order level is placed on the preset distance from the current price. Then, if the price moves in the direction that increases the profitability of the position, the trailing stop will move the Stop Loss level following the price. If the profitability of the position decreases, the order remain unmodified. Thus, the trade position profit is fixed automatically.

Trailing stop can be disabled by selecting "None" in the management menu. At execution of the "Delete All" command, the trailing stops of all open positions and pending orders will be deleted.

Attention: Trailing Stop works on the mobile terminal, not on the server (like Stop Loss or Take Profit). Therefore, Trailing Stop will not operate if the mobile terminal is offline. If the mobile terminal is offline, only Stop Loss placed by the trailing stop can work and trigger.


Trading — Execution Modes

Execution Modes

There are three order execution modes realized in the mobile terminal:

  • Instant Execution
    In this mode, the market order is executed at the price offered to the broker. When a request is sent for execution, the terminal automatically inserts the current prices in the order. If the broker accepts the prices, the order will be executed. If the broker does not accept the requested price, the so-called "Requote" will take place — the broker will return prices, at which the order can be executed.

  • Execution by Request
    In this mode, the market order is executed at the price offered by the broker. The trader requests for prices from the broker before sending a market order. After the broker's prices have income, the trader can either confirm the order execution at this price or refuse it.

  • Execution by Market
    In this mode, the decision about the order execution price is made by the broker without any additional co-ordination with the trader. Sending of the market order in this mode means the the trader preliminarily agrees with the price, at which the order will be executed.

Attention: Only brokerage company can select the execution mode for each symbol used.


Trading — Trade Positions Management

Trade Positions Management

To gain profits on financial markets, one has to follow a simple rule: buy lower and sell higher. Thus, the entire work on financial markets represents a chain of trade operations of buying and selling securities. For this, one will have to open, modify and close trade positions. Trade position is a market obligation, the amount of bought or sold contracts, for which no offset trades were made. The entire trading in the terminal is organized using trade positions.

Mobile terminal opens up a wide range of opportunities to manage trade positions. The trader sends requests (orders), but opening and closing of positions are performed by a brokerage company. Trade positions management consits in:

  • position opening — buying or selling of a security as a result of execution of a market or pending order;

  • position modifying — changing of levels in Stop Loss and Take Profit related to the open position;

  • placing of pending orders — placing pending orders, such as Buy Limit, Buy Stop, Sell Limit or Sell Stop;

  • modifying and deletion of pending orders — modifying and deletion of those pending orders that have not triggered;

  • position closing — buying or selling the security for the available position in order to close it.


Trade Positions Management — Opening a Position

Opening a Position

Opening a position or entering the market is the initial buying or selling a certain volume of the symbol to be traded. Opening a position is performed both at execution of a market order, and at automated execution of a pending order.

Market Order

To open a position using a market order, it is necessary to execute the "New Order" command of the context menu of the window/tab "Orders" or of the window/tab "Symbols", or the "New Order" toolbar command. The "Order" window will open to manage trade positions.

In this window, it is necessary:

  • in the "Symbol" field, select a symbol, on which the position will be opened;

  • in the "Lots" field, specify the volume (the amount of lots) of the trade;

  • in the "S/L" field, set the Stop Loss order level (optionally);

  • in the "T/P" field, set the Take Profit order level (optionally);

    Attention: Zero values of orders Stop Loss and Take Profit mean that orders have not been set at all.

  • in the "Comment" field, write a comment (optionally). The comment length may not exceed 25 characters. Your broker can add their own ifnormation to it up to 6 characters long, or just replace yours. After the position has been opened, the comment cannot be changed;

  • in the "Maximum deviation" field, enable/disable deviation and specify the value of the maximum price deviation in points. If broker give a new execution price (requotes), the deviation of this new price from the initially requested one is calculated. If this deviation is less or equal to the preset parameter, the order will be executed at the new price without any additional notification. Otherwise, the broker will return other prices, at which the order can be executed;

    • Attnetion: Price deviation parameter is used in only Instant Execution mode.

After all necessary data have been specified, it is necessary to press "Sell" or "Buy". The order to open a short or a long position, respectively, will be sent to the broker.

Attention: If for the selected symbol orders are executed by request, it is necessary to press "Request" to start getting quotes. Quotes that income after the request will be active for only a few seconds. If no decision is made within this time, buttons "Sell" and "Buy" will be blocked again.

If levels of Stop Loss and/or Take Profit were too close to the current price during opening of a position, the message "Invalid S/L or T/P" will appear. It is necessary to move the levels from the current price and re-request to place the order. A trade position will be opened after the brokerage company has made a trade operation and placed Stop Loss and Take Profit. The status line of the opened position will appear in the window/tab "Orders".

Pending Orders

To open a position using a pending order, it is necessary to place it as described in the "Placing a Pending Order" section. If the current prices cimply with the condition, the pending order will be executed automatically, i.e., a new position will be opened. In the window/tab "Orders", the pending order status bar will be deleted and the status bar of the newly opened position will appear. If Stop Loss and/or Take Profit were attached to the pending order, they will be attached to the newly opened position automatically.


Trade Positions Management — Modifying a Position

Modifying a Position

The current position can be modified by placing new levels of the attached orders Stop Loss and/or Take Profit. To modify a position, it is necessary to execute in the window/tab "Orders" the open position context menu command named "Modify Order". In the window that appears, one should set new values for Stop Loss and/or Take Profit and press "Modify".

To change values of Stop Loss and Take Profit, it is necessary to write the new values in the corresponding fields. To place orders in points from the current price, it is necessary to set the desired value in the field named "Level" and press the button just under this field. If values of these fields are zeros, the minimum permissible deviation set by the broker will apply.

If one has set Stop Loss and/or Take Profit too close to the current price when modifying the position, the "Modify" button will be blocked. It is necessary to move the levels from the current price and re-request modifying of the position. The trade position will be modified after the brokerage company has set the new values for Stop Loss and/or Take Profit. The changes made will be seen in the fields of S/L and T/P by the "View order" command of the open position context menu in the window/tab "Orders".

Attention: Zero values in the fields of "Stop Loss" and "Take Profit" mean that these orders have not been placed at all.


Trade Positions Management — Closing a Position

Closing a Position

Buying or selling of a security opens a trade position. To gain profits on currency rate differences, it is necessary to close the position. To close an open position, an opposite action should be performed. For example, if a position was opened by buying of 1 lot of EURUSD, it is necessary to sell one lot of the same security to close the position. There is closing of a single position, closing a position by another, counter position, and multiple closing of positions by counter positions in the terminal.

Closing a Single Position

A single open position will be closed automatically if the prices are equal to the Stop Loss or Take Profit values.

Attnetion: When closing a long position, the Bid price should be equal to the Stop Loss or Take Profit values. When closing a short one - the Ask price is determinative.

Closing a Single Position

To close a position manually, it is necessary to execute the corresponding context menu command of the open position in the window/tab "Orders" or double-click with the pen on this position. One can also use the "Close Order" menu command. If the selected symbol is traded by request, it is necessary to receive quotes first by pressing "Request". After that, the button will be activated that allows to close the position.

Attention:
  • In the "Execution by Request" mode, the delivered quotes will be active for just a few seconds. If no decision is made within this time, the "Close..." button will be blocked again.
  • Mobile terminal allows one to close a position partially. For this, one has to specify the amount of lots in the "Volume" field less than that of the open position, then press "Close...".
  • The broker can close positions, too. It happens, for example, if the price reaches the "Stop Out" level preset by the broker.
  • Historical charts in the terminal are drawn on only Bid prices. A part of orders displayed in the charts are built on Ask prices, though. To see the Ask price of the latest bar, it is necessary to flag the "Ask Line" in the "Charts — Properties" menu.

Closing Counter Positions

A counter position related to the given one is an opposite position opened on the same symbol. If there is one or more counter positions among open positions, the selected position can be closed together with a counter one. For this, one should first open the "Order" window (above there is a description of how this can be done). Then it is necessary to select "Close by" in the "Type" field. The list of all counter positions will appear in the lower part of the window. A counter position should be selected in this list, then the "Close by..." button will be activated. It allows closing of two positions simultaneously.

Closing Counter Positions

If the counter positions have different volumes (different amount of lots), only one of them remains open. The volume of this position will be equal to the difference between the volumes of the closed positions, its direction and open price (short or long) — to the larger (in volume) of the closed positions.

Closing Multiple Counter Positions

This feature allows closing of multiple counter positions on the same symbol, not only two. To perform this operation, it is necessary to open the "Order" window (above there is a description of how this can be done). Then select "Multiple Close by" in the "Type" field. The list of all counter positions will appear in the lower part of the window, the button named "Multiple Close by..." will be activated. Pressing this button, one can perform multiple closing of positions.

Multiple Close by

Positions will be closed in pairs according to the position open time. Pairs are closed in absolutely the same way as closing of two counter positions described above. If the difference between the volumes sums of counter positions is not zero, this operation will result in opening a new position, the volume of which is equal to this difference. The newly opened position will be further involved in the multiple closing, but according to its open time. And so on, until all positions are closed or the last resulting position remains opened.

Attention: The corresponding records will be made in the window/tab "History" after all counter positions have been closed. Information about closing counter positions will be recorded in the "Comment" field.


Trade Positions Management — Placing a Pending Order

Placing a Pending Order

To place a pending order, it is necessary to open the "Order" window. This can be done by the "New Order" command of the window/tab "Orders" context menu or of the window/tab "Quotes" context menu, as well as using the "New Order" toolbar command. It is necessary to select "Pending order" in the "Type" field of this window.

Placing a Pending Order

Then it is necessary to select a symbol, specify volume, and set the values for Stop Loss and/or Take Profit. If it is necessary, one can also write a comment in the field of the same name. In the fields of the "Pending order", one has to:

  • select a type of the pending order in the "Type" field: Buy Limit, Buy Stop, Sell Limit, or Sell Stop;

  • set the level, at which the pending order must trigger, in the "at price" field;

  • set the expiry date and time for the pending order in the "Expiry" field. If the order does not trigger until this time comes, it will be deleted automatically.

    Attention: The period of pending order validity may not be less than 10 minutes!

Pressing of "Place" sends the order for execution, which is performed at two stages. After the order has been sent, the broker will place it. There will appear a line containing the number and status of the pending order in the window/tab "Orders". At the second stage, the order will be deleted if the prices comply with the order's condition and a trade position will be opened instead of it. This open position ticket will be the same as the pending order ticket. These changes are displayed in the window/tab "Orders".

Attention: Stop Loss and Take Profit orders trigger only on opened positions, but not on pending orders.


Trade Positions Management — Modifying a Pending Order

Modifying a Pending Order

It is sometimes necessary to modify or delete the placed pending order. To do it, one has to execute the pending order context menu command "Modify order" or double-click on the pending order status bar in the window/tab "Orders". It is also possible to use the "Close order" toolbar command. After that, the order management window will open.

Modifying of Pending Orders

In this window, one can specify a new price for the pending order to trigger, new Stop Loss and Take Profit levels, as well as change the expiry time of the order. After the order has been modified, it is necessary to press "Modify".

Attention: If zero values are specified for Stop Loss and Take Profit, it is the same as that these orders are canceled.

If the order has been successfully modified, the corresponding information will appear in the window/tab "Orders".


Trade Positions Management — Deleting a Pending Order

 Back

Deleting a Pending Order

If the market situation changes, it can become necessary to delete a pending order. For this, one has to execute the pending order context menu command "Modify order" or double-click by the pen on the pending order status bar in the window/tab "Orders". One can also use the "Close order" toolbar command. The window of orders management will open then. To delete an order, one has to press the "Delete" button in it. Pending orders can also be deleted automatically if the time comes that is specified in the "Cancel" field. If a pending order has been deleted, the corresponding information will appear in the window/tab "History".

Deletion of Pending Orders